What is EditPlus?
< Prev | Next >
EditPlus is a text editor, HTML editor, PHP editor and Java editor for Windows. While it can serve as a good Notepad replacement, it also offers many powerful features for Web page authors and programmers.

Syntax highlighting for HTML, PHP, Java, C/C++, CSS, ASP, Perl, JavaScript and VBScript. Also, it can be extended for other programming languages based on custom syntax files.

Seamless Web browser for previewing HTML pages, and FTP commands for uploading local files to FTP server.

Other features include HTML toolbar, user tools, line number, ruler, URL highlighting, auto completion, cliptext, column selection, powerful search and replace, multiple undo/redo, spell checker, customizable keyboard shortcuts, and more.

See also:
Syntax highlighting
Internet features
HTML Toolbar
Document Selector
User tools
Auto completion
Cliptext window
Document template
Other features


What's New
Version 3.50

<Features>
* Supports Windows 8.
* Supports high DPI displays.
* Directory Window supports 'Copy to Local' command for FTP files.
* Window List dialog box now supports Find input box.
* 'Clear Recent Files List' menu command ('File'->'Recent Files').
* 'Goto Drive List' command ('View'->'Toolbars/Views').
* $(UTF8Stdin) argument macro to support UTF-8 standard input for text filters.

<Bug fixes>
* Early canceling of FTP transfer could cause program crash.
* FTP upload could cause buffer overflow on some FTP servers.
* SOCKS5 firewall option worked with sftp only and not with normal FTP.
* 'Upload to a temp file then rename' option didn't work with some FTP servers.
* Some FTP servers could have unusual delays.
* Right click on the Directory Window file filter could cause program crash.
* Fixes incorrect code folding with #ifdef
* 'EditPlus 3' command from Windows Explorer could fail on some network files.
* Double clicking associated file could fail on high DPI displays.
* 'Create' command in the Directory Window could fail if 'Disconnect Automatcially' was on
. * -cursor command line option could fail when loading FTP files.
* Templates didn't work if default encoding was set to 'UTF-8 + BOM'.
* 'Default' button on the Advanced file extensions dialog box didn't work.
* Fixes wrong user tool menu bitmaps when switching user tool group.
* 'Run as Text filter' option could fail with UTF-8 files.
* 'External browser - Chrome' option didn't work on Windows XP.
* CSS syntax highlighting wasn't correct if tab character exists before ':'.
* Embedded script now follows its own auto indent settings.
* Keystroke recording couldn't handle Unicode characters correctly.
* 'Whole word only' find option could work incorrectly in some cases.
* Pasting column block now does not move the cursor position.
* F5 shortcut key for the 'Refresh' Directory Window command.
* Loading Zencoding file could fail without any error message.
* Syntax highlighting of #KEYWORD has precedence over #PREFIX and #SUFFIX.

Version 3.41

<Features>
* Supports Zen Coding.
* 'Keep local copy' ftp option ('FTP Settings'->'Advanced Options').
* 'File Name Search' command in the Directory Window.
* Ctags category option in Project dialog box.
* 'Run as Text Filter (Copy Result)' user tool option.
* Shell Menu command allows extended menu with SHIFT key.
* 'Go To Definition' command now also shows file names in the candidiate list.
* Allows selecting the project INI file ('Manage Project'->'Project INI file').
* Toolbar button for 'More Recent Files'.

<Bug fixes>
* Splitted window could cause program crash.
* TR1 regular expression error could cause memory leaks.
* Paste command didn't work if clipboard text was not available in Unicode.
* .txt file extension could not be automatically appended if path contained '.'.
* Word Highlighting couldn't highlgiht in splitted panes.
* Go to Definition didn't work correctly with multiple candidates.
* 'Next Function' command could be wrong with two function patterns.

Version 3.40

<Features>
* Supports ctags ('Search'->'ctags').
* 'Find as you type' option in the Find dialog box.
* Syntax highlighting for HTML5 and CSS3.
* 'Export'/'Import' buttons on the 'Preferences'-'>Colors' dialog box.
* Displays close buttons on the Document Selector tabs.
* FTP Upload dialog allows selecting multiple sites.
* 'Upload to a temp file then rename' FTP option.
* SOCKS5 proxy option.
* Supports CHMOD command from the Directory Window.
* 'Use TortoiseGit' menu option ('File'->'TortoiseSVN').
* 'Search'->'Search Web' menu command.
* Independent scrollbars for splitted panes.
* 'List' button on the Replace dialog box.
* 'Marker List' command ('Search'->'Marker').
* 'Shell Menu' menu command on the Directory Window.
* 'Scroll Sync' menu option ('Window'->'Others').
* 'Show result in a new document' option on the 'Find in Files' dialog box.
* 'Enlarge toolbar buttons' option ('Preferences'->'Tools').
* 'View'->'White Spaces'->'All' command.
* Improves speed of 'Delete Duplicated Lines'.
* Allows sorting of 'Web server root directoy' settings.
* Toobar button for 'Line Comment Indent'.
* 'Disable font smoothing' option ('Preferences'->'Fonts')
* 'Ignore Line Comment' code folding option ('View'->'Code Folding')
* 'Keep directory structure' backup option.

<Bug fixes>
* Some FTP servers could cause program crash.
* Long FTP banner text could cause program crash.
* 'Find in Files' command could cause memory leak.
* 'Stop' command in the Output Window didn't work with some programs.
* 'Use Pageant' option could fail if multiple keys are present.
* FTP could not open file with space in the name.
* Fixes Directory Window sorting order on foreign language Windows.
* Cold Folding didn't work correctly with line comments.
* Fixes wrong FTP download progress indicator.
* Fixes wrong 'file modified' warning on some network drives.
* Fixes invalid 'TortoiseSVN not found' error.
* 'Refresh' command in the Cliptext window didn't work.
* Fixes CSS syntax highlighting for numbers.
* Word highlighting could not handle tab characters.
* Window position could be wrongly restored if taskbar is on the left side.
* FTP directory cache wasn't case sensitive.


EditPlus Version 3 License Agreement
NO WARRANTY

EDITPLUS IS SOLD "AS IS" AND WITHOUT ANY WARRANTY AS TO MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER WARRANTIES EITHER EXPRESSED OR IMPLIED. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

Evaluation and Purchase

EditPlus is not free software. You may use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period, you must buy the license.

Distribution of the evaluation version

You may copy the evaluation version of this software and documentation as you wish, and give exact copies of the original evaluation version to anyone, and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. But you should not charge or requesting donations for any such copies however made and from distributing the software and/or documentation with other products without the author's written permission.

Licensed copy

One licensed copy of EditPlus may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both. You may access the licensed copy of EditPlus through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network.


How to Install/Remove
System requirement
Windows XP/2003/Vista/7.

Installation
Download the setup file (eppxx.exe), and just run the executable.

Spell checker
You can download spell checker from our web site.
http://www.editplus.com/download.html

Remove
Run 'Uninstall' on the EditPlus Start Menu folder or open 'Add/Remove Programs' in Control Panel and double-click 'EditPlus 3' in the list box.


How to Order
EditPlus is distributed as Shareware. You can freely download and try it for 30 days. If you find it useful and decide to keep using EditPlus after the evaluation period has expired, you must buy a license. See also License agreement.

For current price information, please visit our web site.

How to Order

Please visit our ordering web site:
http://www.editplus.com/register.html

For more information, please contact <sales@editplus.com>.

Benefits for Registered Users

Non-expiring license to use the software.
Personal username/regcode to unlock your copy into licensed version.
Free minor upgrades and bug patch files (e.g. 3.0 -> 3.1).
One free upgrade to the next major release (e.g. 3.xx -> 4.xx).
Free technical support by e-mail.


Feedback and Support
Homepage
If you want to get the latest information about EditPlus, please visit EditPlus Homepage on the web. You can also download latest version of EditPlus at the homepage.
http://www.editplus.com

Feedback
Please send any bug report, suggestion, question and comment to the author at following address.
support@editplus.com

Known bugs and workarounds
Please visit our home page to see known bugs and workarounds.
http://www.editplus.com/trouble.html


Syntax Highlighting
EditPlus supports powerful and customizable syntax highlighting for HTML, CSS, PHP, ASP, Perl, C/C++, Java, JavaScript and VBScript by default. Also, you can create your own syntax file to support other programming languages.

In order to add your own syntax type, you must create a syntax file and add it on Settings & Syntax page of the Preferences dialog box.

Syntax file is a plain text file which has ".STX" extension and should be written in predefined format. The format is very simple. The fastest way is to look into the sample .STX file such as JS.STX for JavaScript files (*.JS).

Header Information

#TITLE=C/C++
#DELIMITER=,()}[]-+*%/="'~!&|\<>?:;.
#QUOTATION1='
#QUOTATION2="
#CONTINUE_QUOTE=n
#LINECOMMENT=//
#LINECOMMENT2=
#COMMENTON=/*
#COMMENTOFF=*/
#COMMENTON2=
#COMMENTOFF2=
#NESTED_COMMENT=
#ESCAPE=\
#CASE=y
#PREFIX1=
#PREFIX2=
#PREFIX3=
#PREFIX4=
#PREFIX5=
#SUFFIX1=
#SUFFIX2=
#SUFFIX3=
#SUFFIX4=
#SUFFIX5=
#HTML_EMBEDDED=
#SCRIPT_BEGIN=
#SCRIPT_END=
#HEREDOC=
#AUTOCASE=
#AUTOCOMPLETE_QUOTE=
#NUMBER_PATTERN=cpp
#SPECIAL_STX=cpp

All statements must be prefixed with '#' sign.

#TITLE
The title of syntax file. It should be located at the first line of the file. Otherwise, EditPlus cannot load it.
#DELIMITER
Specify delimiters for parsing keywords. You don't need to specify the space character and the tab character here, since those are treated as delimiter by default.
#QUOTATION1
Specify quotation mark. Enter only one character.
#QUOTATION2
Specify alternate quotation mark. Enter only one character.
#CONTINUE_QUOTE
This option allows un-terminated quotation to be continued to next line. 'y' for yes and 'n' for no. 'n' is default value.
#LINECOMMENT
Specify a string which turns on line comment. If you prefix ^! to the line comment string, it works only when located at the beginning of line.
#LINECOMMENT2
Specify a string which turns on line comment 2. If you prefix ^! to the line comment string, it works only when located at the beginning of line.
#COMMENTON
Specify a string which turns on block comment.
#COMMENTOFF
Specify a string which turns off block comment.
#COMMENTON2
Specify a string which turns on block comment 2.
#COMMENTOFF2
Specify a string which turns off block comment 2.
#NESTED_COMMENT
'y' if the language allows nested block comments.
#ESCAPE
Specify escape character. Enter only one character here.
#CASE
Specify case sensitivity. 'y' for yes and 'n' for no. Default value is 'n'.
#PREFIX1 - #PREFIX5
Specify keyword prefix character. Any word that follows the prefix will be treated as a keyword.
#SUFFIX1 - #SUFFIX5
Specify keyword suffix character. Any word that precedes the suffix will be treated as a keyword.
#HTML_EMBEDDED
Specify 'y' if it is HTML-embedded script such as PHP. See 'PHP.STX' for an example.
#SCRIPT_BEGIN
Specify the string which turns on HTML-embedded script. Valid only if #HTML_EMBEDDED is 'y'. See 'PHP.STX' for an example.
#SCRIPT_END
Specify the string which turns off HTML-embedded script. Valid only if #HTML_EMBEDDED is 'y'. See 'PHP.STX' for an example.
#HEREDOC
Specify a string for heredoc in Perl and PHP files. For example, #HEREDOC=<<EOF.
#AUTOCASE
Specify 'y' if you would like to use the automatic keyword case correction feature.
#AUTOCOMPLETE_QUOTE
Specify 'y' if you would like to allow auto completion inside quotes.
#NUMBER_PATTERN
'cpp' for C/C++ number syntax highlighting, 'pas' for Pascal, 'asm' for Assembly language and 'css' for CSS files.
#SPECIAL_STX
'html' for HTML sytax file, 'cpp' for C/C++ syntax file, and 'perl' for Perl syntax file. Leave blank for all other syntax files.

You can also insert comment line in syntax file. Comment line must begin with semicolon(;). If you need to add a keyword which begins with semicolon, you must prefix an escape character '^' to it.

Keyword groups

#KEYWORD=Reserved words
abstract
boolean
break

#KEYWORD=Compiler directives
...
Each keyword group begins with #KEYWORD statement with optional description of the group. Keyword list follows from the next line. If you need to include '#' sign into a keyword, you must prefix an escape character '^' to it like this: '^#'. In this case, the '#' sign should not be included in #DELIMITER statement. You can specify up to 10 keyword groups.

User files repository
EditPlus web site has a collection of user files (stx, ctl, acp files) on User Files page. You can submit your own syntax file to <submit@editplus.com> if you would like to share your file with other users.


Internet Features
EditPlus supports following Internet features:

Seamless web browser for previewing the content of your HTML document or Java applet without leaving the editor. Browser window also has common browser commands so you can browse Internet web sites as well as local HTML files.
FTP commands for uploading your local files to FTP server or for editing remote files directly.
Highlights URL and e-mail addresses in normal text files and lets you activate them with a single keystroke (F8) or 'Ctrl + double-click'.

Browser feature requires IE 3 or higher installed on your system.

If you don't have IE 3 or higher on your system, EditPlus loads system default browser or user-defined browser as an external application. You can specify browser settings in Tools page of the Preferences dialog box.

See also:
View in Browser command (View menu)
FTP Upload command (File menu)
Open Remote command (File menu)
Save As Remote command (File menu)


HTML Toolbar

The HTML Toolbar allows you to insert common HTML tags quickly and easily. It also supports useful tools such as HTML Color Picker, Character Picker, Table Generator and Object Picker.

The HTML Toolbar is displayed across the top of the document window. The HTML Toolbar appears automatically when you open an HTML document and disappears when you close the document.

The HTML Toolbar is fixed and cannot be moved on other side of the window. However it can be allowed to be wrapped when there is not enough space to show all the buttons. See the Tools page of the Preferences dialog box

To hide or display the HTML Toolbar, choose HTML Toolbar from the View menu.

You can customize HTML Toolbar in Toolbar page of the Preferences dialog box.

Button | Operation
 | Loads the active document into the web browser.
 | Sets the selected text bold (toggle).
 | Sets the selected text italic (toggle).
 | Sets the selected text underlined (toggle).
 | Sets the font of the selected text.
 | Inserts a color code. This command presents the HTML Color Picker.
 | Inserts a Non Breaking Space.
 | Inserts a Break tag.
 | Inserts a Paragraph tag.
 | Sets the selected text Heading.
 | Inserts an Image.
 | Inserts an Anchor.
 | Inserts a Horizontal Ruler.
 | Inserts a Comment.
 | Inserts a special character. This command presents the Character Picker.
 | Inserts a Table. This command presents the Table Generator.
 | Centers the selected text (toggle).
 | Sets the selected text Block Quotation (toggle).
 | Sets the selected text Preformatted (toggle).
 | Inserts a List.
 | Inserts a Script.
 | Inserts an Applet.
 | Inserts an Object. This command presents Object Picker.
 | Inserts a Form.
 | Inserts a Form Control.
 | Insert an Image Map.
 | Insert a Frame.
 | Insert a Style.
 | Insert a Div tag.
 | Insert a Span tag.


Document Selector

The Document Selector is displayed across the bottom of the document window. The Document Selector offers quick mouse access to all document windows currently loaded. Much faster than selecting on Window menu or pressing Ctrl+Tab key multiple times.

To hide or display the Document Selector, choose Document Selector from the View menu.

To change the location of the Document Selector, right click the Document Selector and choose 'Location' command on the popup menu.

The Folder icon is for Project menu. Using project menu, you can organize frequently-used documents into categories and load them by a single mouse click. See Project Menu for more detail about Project management feature.


User Tools
EditPlus supports user-defined tools, help files and keystroke recording files.

You can customize tool items on User Tools page of the Preferences dialog box. There are 10 user tool groups and you can add up to 20 user-defined tools in each group. User-defined tools allows programs, help files and keystroke recording files. User tools will be shown at the bottom of Tools menu. Also you can access them through User Toolbar.

The output of tool execution can be captured in the Output Window, so that you can double-click the error line to automatically load the file and locate the cursor to that line.

You can also check 'Run as text filter' option. If this option is turned on, selected text or entire document will be passed to the tool through 'Standard Input'. Then the text will be replaced by the output passed from the tool through 'Standard Output'.

If you execute help file, EditPlus searches current word in the keyword list of the help file and shows the related topic.


Auto completion
Auto completion is a time-saving feature which changes a short abbreviation into a complete string. It supports Perl and C/C++ by default. For example, if you type "if" and press space key, it will expand to the following string.

if ()
}
In case this feature becomes annoying, you can suppress this feature temporarily by holding down Shift key or Window key when you press the Space key.

In order to use auto completion feature for other file types, you should write auto completion file and specify its path in the Settings & Syntax page of the Preferences dialog box.

Auto completion file is a plain text file which has ".ACP" extension and should be written in predefined syntax. The syntax is very simple. The fastest way is to look into the sample .ACP file that comes with EditPlus.

Header Information

#TITLE=C/C++
#CASE=y
Each statement should be prefixed with '#' sign.
1. #TITLE - The title of auto completion file.
2. #CASE - Specify case sensitivity. 'y' for yes and 'n' for no. Default value is 'n'.

You can also insert comment line in the auto completion file. Comment line begins with semicolon(;). If you need to specify a text clip which begins with semicolon, you should prefix an escape character '^' to it.

Text clips

#T=if
if (^!)
}
The format of the text clip is same as that of Cliptext library. Each text clip begins with title in the form of "#T=title". Title is the abbreviation that you want to expand. Text body comes next. You can define optional Hot Spot using "^!". "^" is used as escape character. If you want to insert "^" itself in the text body, you should enter the character twice like this: "^^". When you insert the "#" in the text body, you also have to prefix an escape character to it like this: "^#". The text body can have multiple lines. An optional '#' sign can be placed in the line after the last line to indicates the end of the text clip. Please note that delimiters are not allowed in the title (#T=).

#T=if
if (^!)
}
#
User files repository
EditPlus web site has a collection of user files (stx, ctl, acp files) on User Files page. You can submit your own syntax file to <submit@editplus.com> if you would like to share your file with other users.


Cliptext Window
The cliptext window is collection of text clips for quick and easy access. Cliptext window is located at the left side of the screen. To display or hide the Cliptext window, use the Cliptext Window command on the View menu.

EditPlus offers some sample cliptext libraries such as HTML 3.2 and HTML 4.0 tag collections. You can easily edit the content of the sample libraries. And you can also create your own cliptext library.

Inserting cliptext item into the document
Double-click the item in the list box, and the text will be inserted into the active document. Or drag and drop the item into the document. See Insert command for details.
Add cliptext item
Click right mouse button on the list box. Then choose Add command at the popup menu. Or select the text in the document, drag and drop the selected text into the list box. This command presents Add cliptext Item dialog box.
Remove cliptext item
Click right mouse button on the list box. Then choose Remove command at the popup menu.
Edit cliptext item
Click right mouse button on the list box. Then choose Edit command at the popup menu. This command presents Edit cliptext Item dialog box.
Move cliptext item
Drag and drop the cliptext item to the desired position in the list box. Items cannot be moved if the cliptext library is sorted. See Sort Cliptext command.
Direct editing the cliptext file
Click right mouse button on the combo box. Then choose Edit command at the popup menu. The cliptext library file (which has ".CTL" extension) will be loaded into the editor. Cliptext library file should be written in predefined syntax. See Edit Cliptext Library command for detail about the syntax of cliptext libraries.

See also:
Edit Cliptext Library
Cliptext list box popup menu
Cliptext combo box popup menu


Document Template
Document template offers a quick start when you create a new document.

EditPlus offers simple document templates for HTML, C/C++, Perl and Java. You can customize it as you need on Templates page of the Preferences dialog box. Document template is a plain text file. You can define optional Hot Spot using "^!". Hot Spot will be the cursor location when the template is inserted into the document.

You can add up to 20 user-defined document template files. Document templates will be displayed on File | New menu.


Other Features
Column selection
You can select text by column using Alt + mouse drag. This feature is not available in word-wrap mode.
Multiple settings
You can add or remove file types and specify different options for each file types. For example, you can set word-wrap feature off in a plain text file and turn it on automatically when you load an HTML document. You can specify multiple settings in Settings & Syntax page of the Preferences dialog box.
Edit large files
Unlike Windows' built-in Notepad, it can handle large text files. The file size is only limited by the amount of free system memory.
Powerful undo/redo
EditPlus allows multiple undo/redo, so you can safely cancel any typing error.
Word wrap
Word-wrap feature helps to edit long lines more conveniently. You can turn on/off word-wrap feature through Word Wrap command on Document menu.
Line number
Line numbers can improve readability of HTML documents and program source codes. You can show or hide line number through Line Number command on View menu.
Ruler
Ruler improves readability and helps you find the cursor location quickly. You can show or hide ruler through Ruler command of View menu.
'Drag and drop' editing
EditPlus supports OLE 'drag and drop' editing which is more efficient than clipboard commands. You can also drag and drop text between Cliptext window and the document.
Powerful search and replace
EditPlus supports powerful search and replace command which can handle Regular Expressions. EditPlus also supports Find in Files command so you can search text in multiple files. You can also set markers at a specific line and go to the marker quickly from any part of the document. See Search menu commands for more details.
Spell checker
EditPlus supports spell checker so you can correct typing errors in your document easily. Currently, only English dictionary is supported.
Splitter window
EditPlus allows user to divide the document window into several panes and edit different part of the file concurrently. To divide current document, run Split command on Window menu.
Keystroke recording
You can record keystrokes and playback it later. Use Record Keystrokes command on Tools menu.
Customizable hotkeys
You can customize hotkeys of all commands of EditPlus. See Keyboard page of the Preferences dialog box.
Monitor clipboard
This option can speed up repeated cut-and-paste operations. Any text that is copied or cut to clipboard will automatically be appended to current document. See Monitor Clipboard command.
Column Marker
Column marker is a vertical line which indicates specific column location. Column marker can be useful for column-oriented programming languages such as COBOL or FORTRAN. See Column Marker command.


File menu commands
The File menu offers the following commands:

New | Creates a new document.
New > Normal Text | Creates a new normal document.
New > HTML | Creates a new HTML document.
New > Browser Window | Creates a new Browser window.
New > Configure Templates | Adds or removes document templates.
New > Document Template | Creates a new document using document template.
Open | Opens an existing document.
Close | Closes an opened document.
Close All | Closes all document windows.
Save | Saves an opened document using the same filename.
Save All | Saves all documents.
Save As | Saves an opened document to a specified file name.
Print | Prints a document.
Print Preview | Displays the document on the screen as it would appear printed.
Print Others > Print Setup | Selects a printer and printer connection.
Print Others > Print Direct | Prints the active document directly.
Print Others > Print All | Prints all open documents.
FTP > FTP Upload | Uploads file to FTP server.
FTP > Upload All | Uploads all open files to FTP server.
FTP > Open Remote | Opens an existing document from FTP server.
FTP > Save As Remote | Saves the active document as a remote FTP file.
FTP > FTP Settings | Sets the FTP account information.
FTP > Disconnect | Closes all FTP connections.
TortoiseSVN > Update | Runs SVN Update on current file.
TortoiseSVN > Commit | Runs SVN Commit on current file.
TortoiseSVN > Show Log | Runs SVN Log on current file.
TortoiseSVN > Diff | Runs SVN Diff on current file with previous version.
TortoiseSVN > Checkout | Runs SVN Checkout on current directory.
TortoiseSVN > Compare Files | Compares open files.
TortoiseSVN > Update Dir | Runs SVN Update on current file directory.
TortoiseSVN > Commit Dir | Runs SVN Commit on current file directory.
TortoiseSVN > Show Log Dir | Runs SVN Log on current file directory.
TortoiseSVN > Use TortoiseGit | Uses TortoiseGit instead of TortoiseSVN.
Others > Open Header | Opens the header file of the C/C++ file.
Others > Go to File | Opens selection or jumps to a file using output window pattern.
Others > Close Others | Closes all open documents except the current one.
Others > Rename | Renames current file.
Others > Copy Name | Copies current file path to the clipboard.
Others > Send Mail | Sends the document through e-mail.
Others > Lock Files | Protects open files from modified by other applications.
Others > Reload All | Reloads all open documents from the disk.
Others > Delete File | Deletes the active document file.
Others > Properties | Displays the file's properties.
Recent Files | Opens last documents you closed.
Clear Recent Files List | Clears the Recent Files list items.
More Recent Files | Shows list of more recent files.
Save & Exit | Saves all documents and quits the application.
Exit | Exits EditPlus.


Edit menu commands
The Edit menu offers the following commands:

Undo | Reverse previous editing operation.
Redo | Reverse previous undo operation.
Cut | Deletes text from the document and moves it to the clipboard.
Copy | Copies text from the document to the clipboard.
Paste | Pastes text from the clipboard into the document.
Delete > Delete | Deletes the selection.
Delete > Delete Word | Deletes current word.
Delete > Delete Line | Deletes current line.
Delete > Delete to End of Word | Deletes to the end of current word.
Delete > Delete to End of Line | Deletes to the end of current line.
Delete > Delete Word Back | Deletes one word back.
Delete > Delete Marked Lines | Deletes all the marked lines.
Delete > Delete Duplicated Lines | Deletes duplicated lines from current document.
Delete > Delete Blank Lines | Deletes blank lines from current document.
Select > Select Word | Selects current word.
Select > Select Line | Selects current line.
Select > Select All | Selects the entire document.
Select > Column Select | Starts the column selection.
Select > Begin/End Selection | Begins or ends selection.
Select > Begin/End Column | Begins or ends column selection.
Clipboard > Cut Append | Cuts the selection and appends to the clipboard.
Clipboard > Copy Append | Copies the selection and appends to the clipboard.
Clipboard > Cut Marked Linese | Cuts all marked lines and puts them on the clipboard.
Clipboard > Copy Marked Lines | Copies all the marked lines and puts them on the clipboard.
Clipboard > Paste as Column | Pastes text from the clipboard into the document columnarly.
Clipboard > Copy as HTML | Copies the selection to the clipboard as HTML text.
Clipboard > Copy URL | Copies current URL to the clipboard.
Clipboard > Undo All | Undoes all the last actions.
Clipboard > Redo All | Redoes all the previously undone actions.
Clipboard > Copy on Mouse Release | Copies selection when left mouse button is released.
Format > Trim Trailing Spaces | Trims trailing white spaces.
Format > Tabs to Spaces | Converts tabs to spaces.
Format > Spaces to Tabs | Converts spaces to tabs.
Format > Leading Spaces to Tabs | Converts leading spaces to tabs.
Format > Remove Leading Spaces | Removes leading white spaces.
Format > Join Lines | Joins selected lines.
Format > Split Lines | Splits selected wrapped lines.
Format > Reformat | Reformats paragraph to the format column number.
Format > Increase Indent | Increases the indentation of current line or selected block.
Format > Decrease Indent | Decreases the indentation of current line or selected block.
Format > Line Comment | Inserts comment sign at the beginning of line.
Format > Line Comment Indent | Inserts comment sign before the first non-space character.
Format > Line Uncomment | Removes comment sign at the beginning of line.
Format > Fill Selection | Fills the selection with specified string.
Format > Align Left | Aligns the current line or selected text to the left border.
Format > Align Center | Centers the current line or selected text.
Format > Align Right | Aligns the current line or selected text to the format column number.
Change Case > Upper Case | Changes the selected text to upper case.
Change Case > Lower Case | Changes the selected text to lower case.
Change Case > Invert Case | Inverts the case of the selected text.
Change Case > Capitalize | Capitalizes the selected text.
Insert > Search Cliptext | Replaces current word with the corresponding cliptext.
Insert > Search Document | Replaces current partial word with an expanded word found in current document.
Insert > Search All Open Files | Replaces current partial word with an expanded word found in all open files.
Insert > Insert File | Inserts file into cursor position of current document.
Insert > Page Break | Inserts a page break.
Insert > Date | Inserts current date.
Insert > Date Long | Inserts current date in long format.
Insert > Time | Inserts current time.
Insert > Time Long | Inserts current time with seconds.
Insert > Customize Date/Time | Customizes date/time format.
HTML > Strip HTML Tags | Strips HTML tags in current document or selection.
HTML > Ansi to HTML Entity | Converts umlaut or accented characters to HTML entities.
HTML > HTML Entity to Ansi | Converts HTML entities to umlaut or accented characters.
Others > Transpose | Transposes characters either side of cursor.
Others > Duplicate Line | Duplicates current line.
Others > Duplicate Char | Copies a character from previous line.
Others > Set Marker Dup Lines | Searches duplicated lines and sets markers on them.
Others > Move Up | Moves up the selected lines.
Others > Move Down | Moves down the selected lines.
Others > Char Code | Displays current character code value.
Others > Lock Insert Mode | Locks the input mode as Insert.
Others > Allow Drag & Drop | Allows drag & drop text in the document window.
Others > Enable Quick Insert | Adjusts cursor location for quick insert.
Character Count | Counts the number of characters in the document or selection.
Allow Virtual Space | This option allows the cursor position beyond the end of line.
Hex Viewer | Display current file in Hex Viewer.


View menu commands
The View menu offers the following commands:

Toolbars/Views > Toolbar | Shows or hides the toolbar.
Toolbars/Views > User Toolbar | Shows or hides the user toolbar.
Toolbars/Views > HTML Toolbar | Shows or hides the HTML toolbar.
Toolbars/Views > Browser Toolbar | Shows or hides the Browser toolbar.
Toolbars/Views > Status Bar | Shows or hides the status bar.
Toolbars/Views > Cliptext Window | Shows or hides the Cliptext window.
Toolbars/Views > Directory Window | Shows or hides the Directory Window.
Toolbars/Views > Output Window | Shows or hides the output window.
Toolbars/Views > Document Selector | Shows or hides the Document Selector.
Toolbars/Views > Goto Cliptext/Directory | Switches the focus between the cliptext/directory window and the document.
Toolbars/Views > Goto Drive List | Shows the list of disk drives and FTP servers.
Toolbars/Views > Goto Output Window | Switches the focus between the output window and the document.
Screen Font | Selects the screen font.
Screen Font > Larger Font Size | Selects larger font size.
Screen Font > Smaller Font Size | Selects smaller font size.
Screen Font > Set Font | Configures font settings.
Printer Font > Mirror Screen Font | Make printer font follow screen font regardless of the printer font settings.
Printer Font > Set Printer Font | Sets the printer font.
URL Highlighting | Highlights URLs and e-mail addresses.
Syntax Highlighting | Enables the syntax highlighting.
Word Highlighting | Highlights all occurrences of selected word.
Brace Highlighting | Highlights matching braces.
Cursor Indicator | Shows or hides cursor indicators.
Ruler | Shows or hides the ruler.
Line Number | Shows or hides the line number.
White Spaces > Tabs | Shows or hides tab marks.
White Spaces > Spaces | Shows or hides space marks.
White Spaces > Line Break | Shows or hides line break marks.
White Spaces > All | Shows or hides all white spaces.
Code Folding > Use Code Folding | Turns on or off the code folding feature.
Code Folding > Collapse | Collapses the current part of the code.
Code Folding > Expand | Expands current folded line.
Code Folding > Toggle Folding | Toggles the folding state of current line.
Code Folding > Collapse One Level | Collapses the entire code one level.
Code Folding > Expand One Level | Expands the entire code one level.
Code Folding > Collapse All | Collapses all indented text.
Code Folding > Expand All | Expands all folded text.
Full Screen | Toggles the full screen mode on and off.
View in Browser | Loads the active document into the web browser.
View in Browser 2 | Loads the active document into the web browser 2.


Search menu commands
The Search menu offers the following commands:

Find | Finds the specified text.
Replace | Replaces specific text with different text.
Find Next | Finds the next matching text.
Find Previous | Finds the previous matching text.
Find Next Word | Finds the next occurrence of the selected text.
Find Previous Word | Finds the previous occurrence of the selected text.
Find in Files | Searches for a string in multiple files.
Search Web | Searches current text in the web browser.
Go To > Go to Line/Offset | Goes to specified line/offset in the active document.
Go To > Go to Column | Goes to specified column in current line.
Go To > Go to URL | Goes to the highlighted URL.
Markers > Toggle Marker | Set and clear marker at current line.
Markers > Clear All Marker | Clears all marker from the active document.
Markers > Invert Markers | Inverts all markers in current document.
Markers > Next Marker | Goes to next marker position.
Markers > Previous Marker | Goes to previous marker position.
Markers > Marker List | Shows the list of markers set in current document.
Match Brace | Searched for a matching brace.
Select Brace | Searches for a matching brace and select the text.
Match Tag | Searches for a matching HTML tag.
Select Tag | Searches for a matching tag and selects the included text.
Ctags > Go to Definition | Goes to the definition of current function or variable name.
Ctags > Suggest Tag | Replaces current word with an expanded word found in the tags file.
Ctags > Run Ctags | Runs the ctags program.
Ctags > Configure Tag Files | Sets the ctags tag files and categories.
Ctags > Select Tag Category | Selects current ctags tag category.
Function List > Function List | Shows the function list.
Function List > Next Function | Goes to the next function.
Function List > Prev Function | Goes to the previous function.


Document menu commands
The Document menu offers the following commands:

Word-wrap | Toggles the word wrap feature of the active document.
Auto Indent | Toggles the auto-indent feature of the active document.
Auto Completion | Toggles the auto completion feature of the active document.
Word-warp Options | Sets the word wrap options.
Tab/Indent | Sets the tab and indent options.
Function Pattern | Sets the function pattern option.
Column Marker > Set Column Marker | Sets column markers.
Column Marker > Show Column Marker | Shows or hides the column markers.
Column Marker > Next Column Marker | Goes to the next column marker position.
Column Marker > Prev Column Marker | Goes to the previous column marker position.
File Format (CR/LF) > Change File Format | Sets the file format of the active document.
File Format (CR/LF) > File Format Multiple | Sets the file format of one or more documents.
File Type > Change File Type | Changes file type of current document.
File Type > Refresh STX/ACP | Refreshes syntax file and auto completion file.
File Encoding > Change File Encoding | Sets the file encoding of the active document.
File Encoding > File Format Multiple | Sets the file encoding of one or more documents.
Monitor Clipboard | Monitors and insert the changed contents of clipboard.
Log File Watch | Monitors and reloads file changes automatically.
Set Read-Only | Sets current document read-only.
Reload | Reloads current document from the disk file.
Reload As | Reloads current document from the disk file using different encoding.
Permanent Settings | Sets permanent settings.


Browser menu commands
The Browser menu is only available with the seamless browser window. You need IE 3 or higher installed on the system to use seamless browser window feature. The Browser menu offers the following commands:

Favorites | Displays the contents of your favorites folder.
Edit Source | Edits the source of current HTML page.
Go Back | Goes back one step.
Go Forward | Goes forward one step.
Stop | Stops loading current page.
Refresh | Refreshes content of current page.
Fonts | Selects the font size.
Home | Opens the start page.
Search | Searches the internet.
Option | Sets the browser options.


Project menu commands
The Project menu offers the following commands:

Select Project | Select current project.
Manage Project > Add to Project | Add current document to project.
Manage Project > Remove from Project | Remove current document from project.
Manage Project > Add All to Project | Add all open documents to current project.
Manage Project > Load Project | Load all files of current project.
Manage Project > Close Project | Closes all files of current project.
Manage Project > Next Project | Selects the next project.
Manage Project > Prev Project | Selects the previous project.
Manage Project > Project INI File | Selects an ini file to store the projects.
Edit Projects | Configure project settings.
Project File | Load a file of current project.


Tools menu commands
The Tools menu offers the following commands:

Preferences | Sets preferences.
Set Directories | Sets the directory to store the configuration files).
Spell Check | Checks spelling in current document.
Sort | Sorts the document or the selected text.
Sum | Calculates sum of selected numbers
Text to Speech > Start/End Speech | Starts or ends Text to Speech on selected text.
Text to Speech > Pause/Resume | Pauses or resumes the Text to Speech.
Record > Record Keystrokes | Starts and stops the keystroke recording.
Record > Export Recording | Saves recorded keystrokes into external file.
Record > Import Recording | Loads saved keystroke recording file.
Record > Playback Multiple | Plays back the recorded keystrokes multiple times.
Record > Playback Recording | Plays back the recorded keystrokes.
Configure User Tools | Adds or removes user tools.
User Tool Groups | Selects User Tool Group.
User Tool Groups > Enable Auto Run Groups | Turns on the Auto Run user tool groups.
User Tools | Runs user tools.


Window menu commands
The Window menu offers the following commands, which allows you to arrange multiple views of multiple documents in the application window:

Next | Switches to the next document window.
Previous | Switches to the previous document window.
Last Visited | Switches to the last visited document window.
Arrange > Cascade | Arranges windows in an overlapped fashion.
Arrange > Tile Horizontally | Arranges windows as non-overlapping tiles horizontally.
Arrange > Tile Vertically | Arranges windows as non-overlapping tiles vertically.
Arrange > Arrange Icons | Arranges icons at the bottom of the window.
Arrange > Minimize All | Minimizes all document windows.
Arrange > Restore All | Restores all minimized document windows.
Splitter > Split | Splits the active window into panes.
Splitter > Next Pane | Switches to the next window pane.
Splitter > Previous Pane | Switches to the previous window pane.
Others > Always on Top | Makes the EditPlus window stay on top.
Others > Minimize as Tray Icon | Minimizes as tray icon instead of taskbar button.
Others > Transparent | Makes the EditPlus window transparent.
Others > Save Window Width | Saves current window width.
Others > Stretch | Stretches current window vertically.
Others > Scroll Sync | Enables synchronized scroll.
Others > Next Document Row | Goes to next row in the Document Selector.
Others > Prev Document Row | Goes to previous row in the Document Selector.
Close All | Closes all document windows.
Window 1, 2, ... | Goes to specified window.
Window List | Shows list of all document windows.


Help menu commands
The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Offers you an index to topics on which you can get help.
Context Help | Displays help on clicked on buttons, menus and windows.
Keyboard Map | Shows the keyboard map.
Order Now | Shows ordering information dialog box.
Enter Registration Code | Enters registration code.
Feedback and Support | Display information about feedback and support.
About | Displays the version number of this application.


Cliptext List Box Popup Menu
Cliptext list box popup menu offers following commands:

Insert | Inserts the selected cliptext item into the active document.
Edit | Edits the selected cliptext item. This command presents Edit Cliptext Item dialog box.
Add | Add a new cliptext item. This command presents Add Cliptext Item dialog box .
Remove | Removes the selected cliptext item.
Sort | Toggles the sort mode of current cliptext library.
Reload | Reloads current cliptext library from the file.
Float | Makes the Directory Window a floating window.
Hide | Hides the cliptext window.
Location | Sets the Document Selector, Directory/Cliptext Window options.


Cliptext Combo Box Popup Menu
Cliptext combo box popup menu offers following commands:

Refresh | Refreshes the list of cliptext libraries.
New | Creates a new cliptext library. This command presents New Cliptext Library dialog box.
Directory | Specifies the directory for the cliptext libraries.
Edit | Loads current cliptext library into the editor.
Save | Saves current cliptext library to the file.
Rename | Renames current cliptext library.
Delete | Deletes current cliptext library.
Float | Makes the Directory Window a floating window.
Hide | Hides the cliptext window.
Location | Sets the Document Selector, Directory/Cliptext Window options.


Directory Window Popup Menu
Directory Window popup menu offers following commands:

Open | Opens the selected files.
Open As | Opens the selected files with encoding option.
Shell Open | Runs the selected files or opens them with the system default program.
Shell Menu | Shows shell context menu of the selected item.
View in Browser | Loads the file in the Directory Window into the web browser.
Insert As Tag | Inserts the file location as HTML tag.
Add to Project | Adds current file or directory to current project.
Upload | Uploads the selected files.
Refresh | Refreshes the content of the directory window.
Properties | Displays the file's properties in the Directory Window.
Show Mapped Drive Names | Displays mapped drive names.
Show Current Folder Only | Show current folder path only (old style).
File Directory | Matches the directory of the active document.
Change Directory | Changes current directory of the Directory Window.
Find in Directory | Searches for a string in selected directory.
File Name Search | Searches a file name in current directory structure.
Create | Creates a new file or directory on the Directory Window.
Rename | Changes the name of selected file or directory.
Copy to Local | Copies the selected item to the local folder you choose.
Delete | Deletes selected files or directories.
Float | Makes the Directory Window a floating window.
Hide | Hides the cliptext/directory window.
Location | Sets the Document Selector, Directory/Cliptext Window options.
Recent Directories | Goes to last directory you worked in.


Output window Popup Menu
Output window popup menu has following commands:

Open All | Opens all the files which are displayed in the Output Window.
Open Next | Opens next matching file.
Open Prev | Opens previous matching file.
Clear | Clears the content of the output window.
Stop | Breaks the operation of current tool.
Tab Size | Sets the tab size of the Output Window.
Copy Line | Copies current line to clipboard.
Copy All | Copies all output content to clipboard.
Paste | Inserts Clipboard contents into Output Window.
Remove Line | Removes current line from the Output Window.
Float | Makes the Output Window a floating window.
Hide | Hides the output window.


Command-line options and DDE commands
< Prev
Command-line options
-cursor line:column | Locate cursor at "line" and "column".
-d directory | Startup directory.
-e | Load a file into an existing instance of EditPlus.
-i directory | INI file directory.
-n | Creates a new document.
-p | Prints a file.
-pi project_ini | Specifies different project configuration file instead of project_u.ini.
-pr project | Selects a project.
-r | Opens a file as read-only.
-s directory | Syntax directory.
-t FileType | Set the file type. "FileType" must be one of the descriptions of file types on Settings & Syntax page of the Preferences dialog box.
-u | Do not add the file name to the Recent Files list.
-w | Do not load saved workspace.
-wd directory | Directory to save the workspace.
-m | Run minimized.

DDE commands
[activate] | Activates EditPlus.
[cursor("line:column")] | Locate cursor at "line" and "column".
[open("file")] | Opens a file.
[open_nomru("file")] | Opens a file without adding the file name to the Recent Files list.
[open_read("file")] | Opens a file as read-only.
[print("file")] | Prints a file.
[type("FileType")] | Sets the file type. See "-t" command line option.

DDE Service: editplus.exe
DDE Topic: system

No spaces allowed in DDE commands.


Select All command (Edit menu)
< Prev | Next >
Use this command to select the entire document.

Shortcuts
Keys: Ctrl+A


Print Progress Dialog
The Printing dialog box is shown during the time that EditPlus is sending output to the printer. The page number indicates the progress of the printing.

To abort printing, choose Cancel.


No Help Available
No help is available for this message box.


Print Preview toolbar
The print preview toolbar offers you the following options:

Print
Bring up the print dialog box, to start a print job.
Next Page
Preview the next printed page.
Prev Page
Preview the previous printed page.
One Page / Two Page
Preview one or two printed pages at a time.
Zoom In
Take a closer look at the printed page.
Zoom Out
Take a larger look at the printed page.
Close
Return from print preview to the editing window.


Status Bar

The status bar is displayed at the bottom of the EditPlus window. To display or hide the status bar, use the Status Bar command on the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you depress them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicates the status of the active document and the editor:

Indicator | Description
ln 1 | Current line of the active document.
col 1 | Current column of the active document.
1 | Total lines of the active document.
00 | Unicode hex value of current character.
PC | Indicates current file format. PC, UNIX or MAC.
Unicode | Indicates current file encoding. 'ANSI' for normal text files, 'Unicode'/'U BE'/'UTF-8' for Unicode/Unicode big endian/UTF-8 encodings. For other encodings, it displays the code page identifiers. For a list of the code page identifiers and corresponding languages, please see codepage.txt file in the EditPlus directory.
INS | Indicates whether current input mode is insert mode or overwrite mode.
READ | Indicates whether the active document is read-only or not.


Toolbar

Toolbars (Standard and User) are displayed across the top of the application window, below the menu bar. The Toolbar allows quick mouse access to many tools used in EditPlus.

The Toolbar is dockable to any side of the main window and can be a resizable floating window too. You can move the Toolbar by dragging the gripper which is located at the left or top edge of the toolbar. The Toolbar can be allowed to show double column when docked vertically. See the Tools page of the Preferences dialog box.

You can customize Toolbars in Toolbar page of the Preferences dialog box.

Button | Operation
 | Opens a new document.
 | Opens an existing document. EditPlus displays the Open dialog box, in which you can locate and open the desired file.
 | Saves the active document with its current name. If you have not named the document, EditPlus displays the Save As dialog box.
 | Saves all documents.
 | Displays the document on the screen as it would appear printed.
 | Prints the active document.
 | Checks spelling in the active document.
 | Creates a blank HTML page.
 | Removes selected data from the document and stores it on the clipboard.
 | Copies the selection to the clipboard.
 | Inserts the contents of the clipboard at the insertion point.
 | Deletes the selection.
 | Reverses the last editing.
 | Reverses the last undo action.
 | Finds the specified text.
 | Replaces specific text with different text.
 | Searches for a string in multiple files.
 | Go to specified line/offset in the active document.
 | Toggles the word-wrap feature of the active document.
 | Toggles the auto-indent feature of current document.
 | Shows or hides the line number.
 | Sets the preferences. This command presents Preferences dialog box.
 | Shows or hides the cliptext window.
 | Shows or hides the Directory Window.
 | Shows or hides the output window.
 | Shows or hides the Document Selector.
 | Toggles Full Screen mode on and off.
 | Displays help for clicked on buttons, menus and windows.
 | Quits the application; prompts to save documents.


Argument Macros
The following macros can be used in Argument field in User Tools page of the Preferences dialog box.

Macro | Description
$(FilePath) | Inserts file name of current document with full path.
$(FileDir) | Inserts full path of current document without the file name.
$(DirWin) | Inserts the directory name displayed on the Directory Window.
$(FileName) | Inserts file name of current document without path.
$(FileNameNoExt) | Inserts file name of current document without path and extension.
$(FileExt) | Inserts file extension of current document.
$(FilePathNoDrv) | Inserts current file name and full path except the drive name.
$(FileDirNoDrv) | Inserts full path of current document without the file name and the drive name.
$(ProjectName) | Inserts current project name.
$(AppDir) | Inserts the directory of EditPlus application.
$(CurLine) | Inserts current line number where the cursor is located.
$(CurCol) | Inserts current column index where the cursor is located.
$(CurSel) | Inserts selected text.
$(CurWord) | Inserts current word.
$(CurLineText) | Inserts current line text.
$(Copy) | Copies selected text to the Clipboard.
$(Prompt) | Displays dialog box for entering custom argument.
$(WindowList) | Displays Window List dialog box and select desired file name.


Date/Time Macros
The following macros can be used in Format field in Customize Date/Time dialog box.

Macro | Description
$(d) | Day of month.
$(dd) | Day of month with leading zero.
$(ddd) | Day of week.
$(dddd) | Day of week full name.
$(M) | Month.
$(MM) | Month with leading zero.
$(MMM) | Month abbreviation.
$(MMMM) | Month full name.
$(y) | Year.
$(yy) | Year with leading zero.
$(yyyy) | Year full four digits.
$(gg) | Period/Era.
$(h) | Hours.
$(hh) | Hours with leading zero.
$(H) | Hours in 24-hour clock.
$(HH) | Hours in 24-hour clock with leading zero.
$(m) | Minutes.
$(mm) | Minutes with leading zero.
$(s) | Seconds.
$(ss) | Seconds with leading zero.
$(t) | Time marker short.
$(tt) | Time marker long.

Date/Time macros are case-sensitive.


Header/Footer Macros
The following macros can be used in Footer and Header field in Print page of the Preferences dialog box.

Macro | Description
&f | Inserts current file name. The file name does not include path.
&F | Inserts current file name with full path.
&p | Inserts page number of current page.
&P | Inserts total number of pages of current document.
&d | Inserts current date.
&t | Inserts current time.
&s | Inserts time stamp of file.
&C | Align following text to center. This is default value if you don't specify any align option.
&L | Align following text to left.
&R | Align following text to right.


About command (Help menu)
This command presents About dialog box which displays the copyright notice and version number of your copy of EditPlus.


Exit command (File menu)
< Prev | Next >
Use this command to end your EditPlus session. You can also use the Close command on the application Control menu. EditPlus prompts you to save documents with unsaved changes.

Shortcuts
Toolbar:
Keys: Alt+F4


Go Back command (Browser menu)
< Prev | Next >
Use this command to go back one step to last visited web page.

Shortcuts
Browser Toolbar:


View in Browser command (View menu)
< Prev | Next >
Use this command if you want to view current document in browser window. If you check the seamless browser option in Tools setting, the document will be shown in the seamless browser window. Otherwise the document will be shown on external browser. You can use temporary file instead of saving current document. See Tools page of the Preferences dialog box for details.

Shortcuts
HTML Toolbar:
Keys: Ctrl+B


View in Browser 2 command (View menu)
Use this command if you want to view current document in browser 2 window. If you check the seamless browser option in Tools setting, the document will be shown in the seamless browser window. Otherwise the document will be shown on external browser. You can use temporary file instead of saving current document. See Tools page of the Preferences dialog box for details.


Edit Source command (Browser menu)
< Prev | Next >
Use this command to loads or activates the source of current web page. EditPlus currently only supports local files and cannot edit the page on the remote URL.

Shortcuts
Browser Toolbar:
Keys: Ctrl+E


EditPlus Home Page command (Browser menu)
< Prev | Next >
Use this command to visit the EditPlus Home Page.

Shortcuts
Browser Toolbar:


Favorites (Browser menu)
EditPlus allows access to favorites folder of IE. Select internet site that you want to visit.

Edit favorites
This command opens favorites folder where you can edit properties of favorites.
Favorites list
Select web site which you want to visit. Popup menu represents sub-folder of the main favorites folder.

Shortcuts
Browser Toolbar:


Fonts command (Browser menu)
< Prev | Next >
Use this command to set the font size of current page. This command presents Fonts popup menu.

Shortcuts
Browser Toolbar:


Go Forward command (Browser menu)
< Prev | Next >
Use this command to go forward one step to last visited web page.

Shortcuts
Browser Toolbar:


Home command (Browser menu)
< Prev | Next >
Use this command to open the start page.

Shortcuts
Browser Toolbar:


Option command (Browser menu)
Use this command to specify internet preferences. This command presents Internet Option dialog box.


Refresh command (Browser menu)
< Prev | Next >
Use this command to refresh content of current page. This command can also be called from the Director/Cliptext Windows to refresh the content of that window.

Shortcuts
Browser Toolbar:


Search command (Browser menu)
< Prev | Next >
Use this command to search the internet.

Shortcuts
Browser Toolbar:


Stop command (Browser menu)
< Prev | Next >
Use this command to stop loading current page.

Shortcuts
Browser Toolbar:


Context Help command (Help menu)
< Prev | Next >
Use the Context Help command to obtain help on some portion of EditPlus. When you choose the Toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the EditPlus window, such as another Toolbar button. The Help topic will be shown for the item you clicked.

Shortcuts
Toolbar:
Keys: Shift+F1


Change Directory command (Directory Window popup menu)
Use this command to change current directory of the Directory Window.


Copy to Local command (Directory Window popup menu)
Use this command to copy the selected remote file or directory to a local folder you choose.


Create command (Directory Window popup menu)
Use this command to create a new file or directory on the Directory Window.


Show Mapped Drive Names command (Directory Window popup menu)
Use this option to display names of mapped drives. If you experience slow down on the program startup, you can turn this option off.


Find in Directory command (Directory Window popup menu)
Use this command to search for a string in selected directory. This command presents Find in Files dialog box and puts the current directory name in the Folder input box.


File Name Search command (Directory Window popup menu)
Use this command to search a file name in current directory structure. This command displays matching file names in the Output Window


Float command (Cliptext/Directory popup menu)
Check this menu option to make the Directory Window a floating window.


Insert As Tag command (Directory Window popup menu)
Use this command to insert the file location as HTML tag in the active document. This command uses Image HTML tag for image files (*.gif, *.jpg or *.png) and Anchor HTML tag for other files.


File Directory command (Directory Window popup menu)
Use this command to display the directory content of the active document on the Directory Window.


Open command (Directory Window popup menu)
Use this command to open one or more files that are selected on the Directory Window. You can select multiple files by holding down Shift or Ctrl key.


Open As command (Directory Window popup menu)
Use this command to open one or more files that are selected on the Directory Window with encoding option. This command presents Encoding dialog box.


Properties command (Directory Window popup menu)
Use this command to display Properties dialog box about selected file or directory.on the Directory Window.
NOTE: This command works with local files only.


Shell Open command (Directory Window popup menu)
Use this command to open one or more files with system default program. If the file is executable, it runs the file.


Shell Menu command (Directory Window popup menu)
Use this command to show shell context menu of the selected item. It is the same menu that you see when you right click on the Window Explorer.


Show Current Folder Only command (Directory Window popup menu)
Shows current folder path only in the Directory Window. Use this option if you prefer the old style directory window.


Auto Completion command (Document menu)
Use this command to turn on or off the auto completion feature of current document. See Auto Completion for more details.

This setting will not be saved to the INI file. You can specify permanent value on Settings & Syntax page of the Preferences dialog box.


File Format (CR/LF) (Document menu)
Use this command to set the file format (CR/LF) of the active document. You can set PC/UNIX/Mac file format for the document.


File Format Multiple (Document menu)
Use this command to set the file format (CR/LF) of one or more documents. This command presents open file list so that you can select one or more documents. Then you can set PC/UNIX/Mac file format for those documents.


Change File Encoding (Document menu)
Use this command to set the file encoding of the active document. This command presents Encoding dialog box.


File Encoding Multiple (Document menu)
Use this command to set the file encoding of one or more documents. This command presents open file list so that you can select one or more documents. Then This command presents Encoding dialog box.


Function Pattern command (Document menu)
Use this command to set the function pattern regular expression to use in the Function List command. This command presents Function Pattern dialog box.

The settings will not be saved to the INI file. You can specify permanent values on Settings & Syntax page of the Preferences dialog box.


Monitor Clipboard command (Document menu)
Use this command to monitor changes of clipboard and insert the changed content into the end of current document. This command can be used for abbreviation of cut-and-paste operation. Any text which is copied or cut to the clipboard will be inserted into the current document. A check mark appears next to the menu item when this option is active.


Show Column Marker command (Document menu)
< Prev | Next >
Use this command to show or hide the column markers. Column marker is a vertical line which indicates specific column location. Column marker can be useful for column oriented programming languages such as COBOL or FORTRAN.

Shortcuts
Keys: Alt+Shift+M


Set Read-Only command (Document menu)
Use this command to set current file read-only. You cannot save read-only document. If you want to protect read-only files from editing, check the option in File page of the Preferences dialog box.


Refresh STX/ACP command (Document menu)
Use this command to refresh syntax file and auto completion file for current document. After editing STX or ACP file for current document directly, you should run this command to make the change take effect.


Reload command (Document menu)
Use this command to reload current document from the disk file. This command discards all unsaved changes and clears the undo/redo buffer.


Reload As command (Document menu)
Use this command to reload current document from the disk file using different encoding. This command discards all unsaved changes and clears the undo/redo buffer. This command presents Encoding dialog box.


Set Column Marker command (Document menu)
Use this command to set column markers. You can turn column markers on or off using Show Column Marker command. This command displays Set Column Marker dialog box.

This setting will not be saved to the INI file. You can specify permanent value on Settings & Syntax page of the Preferences dialog box.


Tab/Indent command (Document menu)
Use this command to set the tab and indent options. This command presents Tab and Indent dialog box.

The settings will not be saved to the INI file. You can specify permanent values on Settings & Syntax page of the Preferences dialog box.


Permanent Settings command (Document menu)
Use this command to set permanent settings. All options on Document menu are only valid in current document and will not be saved to the INI file. You can set permanent settings on Preferences dialog box. This command invokes Settings & Syntax page of the Preferences dialog box.


Word Wrap Options command (Document menu)
Use this command to set the word wrap options. This command presents Word Wrap Options dialog box.

The settings will not be saved to the INI file. You can specify permanent values on Settings & Syntax page of the Preferences dialog box.


Change File Type command (Document menu)
Use this command to change file type of current document.


Log File Watch command (Document menu)
Use this command to monitor and reload file changes automatically. Due to the OS cache mechanism, notifications can be delayed until the cache is sufficiently flushed.


Align Center command (Edit menu)
Use this command to center current line or selected text between the left edge and the format column number. You can specify format column number through Tab/Indent command on Document menu. The default value is 80.

This command is not available if current document is in word-wrap mode.


Align Left command (Edit menu)
Use this command to align current line or selected text to the left border.

This command is not available if current document is in word-wrap mode.


Align Right command (Edit menu)
Use this command to align the current line or selected text to the format column number. You can specify format column number through Tab/Indent command on Document menu. The default value is 80.

This command is not available if current document is in word-wrap mode.


Ansi to HTML Entity command (Edit menu)
Use this command to convert high-ASCII special characters and European characters such as umlauts or accents into HTML entities.


Auto Indent command (Document menu)
< Prev | Next >
Use this command to turn on or off the auto-indent feature of current document. When this feature is turned on, a new line will be automatically indented same as previous line.

This setting will not be saved to the INI file. You can specify permanent value on Settings & Syntax page of the Preferences dialog box.

Shortcuts
Toolbar:


Delete Word Back command (Edit menu)
< Prev | Next >
Use this command to delete one word back.

Shortcuts
Keys: Ctrl+Backspace


Page Break command (Edit menu)
Use this command to insert a page break (ASCII 12).


Capitalize command (Edit menu)
< Prev | Next >
Use this command to capitalizes the selected text. This command is unavailable if there is no selected text.

Shortcuts
Keys: Ctrl+Shift+U


Delete command (Edit menu)
< Prev | Next >
Use this command to delete current selection of the active document. If there is no selection, this command deletes the character at current cursor position.

Shortcuts
Toolbar:
Keys: Del


Column Selection command (Edit menu)
Use this command to start column selection. Move mouse or use arrow key to select and then click mouse button or press Enter.

You can also use Alt + mouse drag to start column selection.

NOTE: You cannot use this command if word wrap option is turned on.

Shortcuts
Keys: Alt+C
Mouse: Alt+drag


Line Comment command (Edit menu)
Use this command to insert line comment sign at the beginning of line.


Line Comment Indent command (Edit menu)
Use this command to insert line comment sign before the first non-space character of line.


Copy command (Edit menu)
Use this command to copy selected text onto the clipboard. This command is unavailable if there is no text currently selected.

Copying text to the clipboard replaces the contents previously stored there.

Shortcuts
Toolbar:
Keys: Ctrl+C


Copy Append command (Edit menu)
< Prev | Next >
Use this command to copy and append selected text onto the clipboard. This command is unavailable if there is no data currently selected.

Shortcuts
Keys: Ctrl+Shift+X


Copy on Mouse Release command (Edit menu)
Turn on this option if you want to automatically copy selected text when you release the left mouse button.


Copy URL command (Edit menu)
Use this command to copy current URL to the clipboard.


Copy as HTML command (Edit menu)
Use this command to copy the selection to the clipboard as HTML text. If the current document has an associated syntax file, this command preserves the syntax highlighting in the HTML code.


Copy Marked Linese command (Edit menu)
Use this command to copy all the marked lines and put them on the clipboard. This command is unavailable if there is no marked line.


Character Count command (Edit menu)
Use this command to count the number of characters in the document or selection.


Customize Date/Time command (Edit menu)
Use this command to customize date/time format which is used by Date/Time commands. This command presents Customize Date/Time dialog box.


Cut command (Edit menu)
Use this command to remove currently selected text from the document and put it on the clipboard. This command is unavailable if there is no text currently selected.

Cutting text to the clipboard replaces the contents previously stored there.

Shortcuts
Toolbar:
Keys: Ctrl+X


Cut Append command (Edit menu)
< Prev | Next >
Use this command to cut and append selected text onto the clipboard. This command is unavailable if there is no data currently selected.

Shortcuts
Keys: Ctrl+Shift+C


Cut Marked Linese command (Edit menu)
Use this command to cut all marked lines and put them on the clipboard. This command is unavailable if there is no marked line.


Date command (Edit menu)
< Prev | Next >
Use this command to insert current date in short format into the active document. If you want the long format, use Insert Date in Long Format command.

Shortcuts
Keys: Ctrl+D


Date Long command (Edit menu)
< Prev | Next >
Use this command to insert current date in long format into the active document. If you want the short format, use Insert Date command.

Shortcuts
Keys: Ctrl+Shift+D


Decrease Indent command (Edit menu)
< Prev | Next >
Use this command to decrease the indentation of the selected text. If there is no selected text, this command decreases the indentation of current line.

Shortcuts
Keys: Ctrl+Shift+I


Delete Blank Lines command (Edit menu)
Use this command to delete all the blank lines from current document.


Delete Duplicated Lines command (Edit menu)
Use this command to deletes duplicated lines from current document.


Delete to End of Line command (Edit menu)
< Prev | Next >
Use this command to delete to the end of current line.

Shortcuts
Keys: Ctrl+Shift+Del


Delete to End of Word command (Edit menu)
< Prev | Next >
Use this command to delete to the end of current word.

Shortcuts
Keys: Ctrl+Del


Delete Line command (Edit menu)
< Prev | Next >
Use this command to delete the line at current cursor position.

Shortcuts
Keys: Alt+Shift+Del


Delete Word command (Edit menu)
< Prev | Next >
Use this command to delete the word at current cursor position.

Shortcuts
Keys: Alt+Del


Delete Marked Linese command (Edit menu)
Use this command to delete all the marked lines. This command is unavailable if there is no marked line.


Allow Drag & Drop command (Edit menu)
Check this option to allow the drag and drop editing of text in the document window.


Duplicate Char command (Edit menu)
< Prev | Next >
Use this command to copy a character from previous line. It copies from the same column number as current cursor location.

Shortcuts
Keys: Ctrl+-


Duplicate Line command (Edit menu)
< Prev | Next >
Use this command to duplicate current line.

Shortcuts
Keys: Ctrl+J


Search Cliptext command (Edit menu)
< Prev | Next >
Use this command to expand current word into the corresponding cliptext item. This command searches the active cliptext library for the current word, and inserts the matching cliptext item into the active document, or presents Search Result dialog box if there are more than one matching cliptext items.

For example, type "str" and run this command, you can choose from "strcpy", "strcat", "strlen", etc.

Shortcuts
Keys: F2


Fill Selection command (Edit menu)
Use this command to fill the selection with a specific character or string. This command presents the Fill Selection dialog box.


Find command (Search menu)
< Prev | Next >
Use this command to search specific text in current document. This command presents Find dialog box.

Shortcuts
Toolbar:
Keys: Ctrl+F


Find Next command (Search menu)
< Prev | Next >
Use this command to search for next matching word.

Shortcuts
Keys: F3


Find Previous command (Search menu)
< Prev | Next >
Use this command to search for previous matching word.

Shortcuts
Keys: Shift+F3


Char Code command (Edit menu)
Use this command to display the character code at current cursor position in hexadecimal value. It displays both Unicode value and the original encoded value.


Hex Viewer command (Edit menu)
Use this command to display current file in Hex Viewer.


HTML Entity to Ansi command (Edit menu)
Use this command to convert HTML entities to high-ASCII special characters and European characters such as umlauts or accents.


Increase Indent command (Edit menu)
< Prev | Next >
Use this command to increase the indentation of the selected text. If there is no selected text, this command increases the indentation of the current line.

Shortcuts
Keys: Ctrl+I


Insert File command (Edit menu)
Use this command to insert content of a file into cursor position of current document. This command presents File Open dialog box to choose which file to insert.


Join Lines command (Edit menu)
< Prev | Next >
Use this command to join selected lines into one long line. If there is no selected text, this commands joins current and next line.

Shortcuts
Keys: Ctrl+Shift+J


Lock Insert Mode command (Edit menu)
Check this option to lock the input mode as Insert. This option prevents from switching to Overwrite mode by accidentally pressing the Insert key.


Leading Places to Tabs command (Edit menu)
Use this command to convert leading spaces to tabs in selected text or entire document. This command converts spaces only at the beginning of line.


Move Down Command (Edit menu)
< Prev | Next >
Use this command to move down the selected lines. This command uses current line if there is no selection.

Shortcuts
Keys: Alt+Shift+Down


Move Up Command (Edit menu)
< Prev | Next >
Use this command to move up the selected lines. This command uses current line if there is no selection.

Shortcuts
Keys: Alt+Shift+Up


Paste command (Edit menu)
< Prev | Next >
Use this command to insert a copy of the clipboard contents at the insertion point. This command is unavailable if the clipboard is empty.

Shortcuts
Toolbar:
Keys: Ctrl+V


Paste as Column command (Edit menu)
Use this command to paste text from the clipboard into the document columnarly. This command has saame result as you copy and paste column selection.

NOTE: You cannot use this command if word wrap option is turned on.


Enable Quick Insert command (Edit menu)
Check this option to allow adjusting the cursor location for quick insert on multiple lines. When you move cursor up/down to insert text on multiple lines, it automatically restores the previous insertion point in the next line.


Redo command (Edit menu)
< Prev | Next >
Use this command to reverse the last undo action, if possible. The name of the command changes, depending on what the last undo action was. This command is unavailable if there is no undo action done.

Shortcuts
Toolbar:
Keys: Ctrl+Y


Redo All (Edit menu)
Use this command to redo all the previously undone actions in the redo buffer.


Reformat command (Edit menu)
< Prev | Next >
Use this command to join all lines in the paragraph and reformat the text to the format column number, or to the window border if word wrap mode is turned on. You can specify format column number with the Word Wrap Options command on Document menu. The default value is 80.

Shortcuts
Keys: Ctrl+Shift+R


Remove Leading Spaces command (Edit menu)
Use this command to remove leading white spaces from each line.


Replace command (Search menu)
< Prev | Next >
Use this command to search specific text in current document and replace it with different text. This command presents Replace dialog box.

Shortcuts
Toolbar:
Keys: Ctrl+H


Invert Case command (Edit menu)
< Prev | Next >
Use this command to convert the case of selected text to opposite case. If there is no selected text, this command converts the character at current cursor position.

Shortcuts
Keys: Ctrl+K


Search Document command (Edit menu)
< Prev | Next >
Use this command to replace current partial word with an expanded word found in current document. This command searches current document for words which begin with the current word, inserts the found word into the active document, or presents Search Result dialog box if there are more than one matching words.

For example, type "str" and run this command, you can choose from "strcpy", "strcat", "strlen", etc.

Shortcuts
Keys: Shift+F2


Search All Open Files command (Edit menu)
< Prev | Next >
Use this command to replace current partial word with an expanded word found in all open files. This command searches all open files for words which begin with current word, inserts the found word into the active document, or presents Search Result dialog box if there are more than one matching words.

For example, type "str" and run this command, you can choose from "strcpy", "strcat", "strlen", etc.

Shortcuts
Keys: Ctrl+F2


Begin/End Selection (Edit menu)
< Prev | Next >
Use this command to begin or end selection. This command is useful when selection area is spread over a large file.

Shortcuts
Keys: Alt+Shift+B


Begin/End Column (Edit menu)
< Prev | Next >
Use this command to begin or end column selection. This command is useful when selection area is spread over a large file.

Shortcuts
Keys: Alt+Shift+E


Select Line command (Edit menu)
< Prev | Next >
Use this command to select the line at current cursor position.

Shortcuts
Keys: Ctrl+R


Select Word command (Edit menu)
< Prev | Next >
Use this command to select the word at current cursor position.

Shortcuts
Keys: Ctrl+W


Set Marker Dup Lines command (Edit menu)
Use this command to search duplicated lines and set markers on those lines. You can use Delete Marked Lines to remove them later.


Spaces to Tabs command (Edit menu)
Use this command to convert spaces to tabs in selected text or entire document.


Split Lines command (Edit menu)
< Prev | Next >
Use this command to split selected wrapped lines. If there is no selected text, this commands splits current wrapped line.

This command is available only when current document is in word-wrap mode.

Shortcuts
Keys: Ctrl+Shift+K


Strip HTML Tags command (Edit menu)
< Prev | Next >
Use this command to strip all HTML tags from current document or selection.

Shortcuts
Keys: Ctrl+Shift+P


Tabs to Spaces command (Edit menu)
Use this command to convert tabs to spaces in selected text or entire document.


Time command (Edit menu)
< Prev | Next >
Use this command to insert current time into the active document. The time format does not include seconds. If you want to include the seconds in the time format, use Insert Time with Seconds command.

Shortcuts
Keys: Ctrl+M


Time Long command (Edit menu)
< Prev | Next >
Use this command to insert current time into the active document. The time format includes seconds. If you don't want to include the seconds in the time format, use Insert Time command.

Shortcuts
Keys: Ctrl+Shift+M


Lower Case command (Edit menu)
< Prev | Next >
Use this command to convert the selected text to lower case. If there is no selected text, this command converts the character at current cursor position.

Shortcuts
Keys: Ctrl+L


Upper Case command (Edit menu)
< Prev | Next >
Use this command to convert the selected text to upper case. If there is no selected text, this command converts the character at current cursor position.

Shortcuts
Keys: Ctrl+U


Transpose command (Edit menu)
< Prev | Next >
Use this command to transpose characters either side of the cursor.

Shortcuts
Keys: Ctrl+T


Trim Trailing Spaces command (Edit menu)
Use this command to remove trailing spaces of each line.


Line Uncomment command (Edit menu)
Use this command to remove line comment sign at the beginning of line.


Undo command (Edit menu)
Use this command to reverse the last editing action, if possible. The name of the command changes, depending on what the last action was. This command is unavailable if there is no editing action done.

Shortcuts
Toolbar:
Keys: Ctrl+Z or
Alt-BACKSPACE


Undo All (Edit menu)
Use this command to undo all the last actions in the undo buffer.


Allow Virtual Space command (Edit menu)
Check this option to allow cursor position beyond the end of line. If you enter any character when the cursor is located beyond the end of line, appropriate number of tabs and spaces will automatically be inserted.


Word Wrap command (Document menu)
Use this command to turn on or off the word-wrap feature of current document. Word-wrap feature helps to edit long lines more conveniently.

This setting will not be saved to the INI file. You can specify permanent value on Settings & Syntax page of the Preferences dialog box.

Shortcuts
Toolbar:
Keys: Ctrl+Shift+W


Stop Tool Operation command
< Prev | Next >
Use this command to stop the tool which is currently running. This command is only applicable to console mode applications.

Shortcuts
Keys: Ctrl+Break


Close command (File menu)
Use this command to close all windows containing the active document.

EditPlus suggests that you save changes to your document before you close it. If you close a document without saving, you lose all changes made since the last time you saved it. Before closing an untitled document, EditPlus displays the Save As dialog box and suggests that you name and save the document.

You can also close a document by using the Close icon on the document's window.


Close Others command (File popup menu)
Use this command to close all open documents except the current one.


Configure Templates command (File menu)
Use this command to add/remove/modify the document templates. Document template is used for quick start of new document. See Document Template for more information. This command presents Templates page of the Preferences dialog box.


Copy Name command (File menu)
Use this command to copy current file path to the clipboard.


Delete File command (File menu)
Use this command to delete current files or directories.


Disconnect command (File menu)
Use this command to close all active FTP connections.


Lock Files command (File menu)
Use this command to protect open files from modified by other applications.

NOTE: This command does not work on remote files.


Clear Recent Files List command (File menu)
Use this command to clear the Recent Files list items.


Recent Directory command (Directory Window popup menu)
Use the numbers and directory names listed on the Recent Directories menu to go to last directory you worked in. Choose the number that corresponds with the directory you want to go.


Recent Files command (File menu)
Use the numbers and filenames listed on the File | Recent Files menu to open last documents you closed. Choose the number that corresponds with the document you want to open.


More Recent Files command (File menu)
This command shows an extended list of up to 50 recent files.


New Normal Text command (File menu)
< Prev | Next >
Use this command to create a new normal document in EditPlus.

You can open an existing document with the Open command.

Shortcuts
Keys: Ctrl+N


New Browser command (File menu)
< Prev | Next >
Use this command to create a new browser window in EditPlus.

If you choose seamless browser window option in Tools page of the Preferences dialog box, new seamless browser window will be created. Otherwise, EditPlus launches a new external browser.

Shortcuts
Keys: Ctrl+Shift+B


New HTML command (File menu)
Use this command to create a new HTML document in EditPlus.

You can open an existing HTML document with the Open command.

Shortcuts
Toolbar:
Keys: Ctrl+Shift+N


Open command (File menu)
Use this command to open an existing document in a new window.

EditPlus displays the File Open dialog box so you can choose documents to edit. You can open multiple documents at once. Use the Window menu or Document Selector to switch among the multiple open documents. See Window 1, 2, ... command and Document Selector.

You can create new documents with the New command.

Shortcuts
Toolbar:
Keys: Ctrl+O


Open Remote command (File menu)
Use this command to open file from FTP server and edit it directly. This command presents Open Remote File dialog box.

If you run 'Save' command with remote file, the change will be saved directly to the file on the FTP server


Open Header command (File menu)
< Prev | Next >
This command loads the header file of the active document if it is C/C++ file.

Shortcuts
Keys: Ctrl+Shift+H


Print command (File menu)
< Prev | Next >
Use this command to print a document. This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.

Shortcuts
Toolbar:
Keys: Ctrl+P


Print All command (File menu)
Use this command to print all open documents. This command is useful when you want to print many documents at once without any intervention.


Print Direct command (File menu)
Use this command to print a document directly. Unlike Print command, this command does not present Print dialog box.


Print Preview command (File menu)
< Prev | Next >
Use this command to display the active document as it would appear when printed. When you choose this command, the document window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The Print Preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.

Shortcuts
Toolbar:


Print Setup command (File menu)
Use this command to specify various printing options and select a printer and a printer connection. This command presents Print page of the Preferences dialog box, where you specify the settings.


Properties command (File menu)
Use this command to displays the file's properties.


Reload All command (File menu)
Use this command to reload all open documents from the disk. This command discards all unsaved changes and clears the undo/redo buffer.


Rename File command (File menu)
Use this command to change the name of current file or directory.


Save command (File menu)
Use this command to save the active document to its current name and directory.

When you save a document for the first time, EditPlus displays the Save As dialog box so you can name your document. If you want to change the name and directory of an existing document before you save it, choose the Save As command.

Shortcuts
Toolbar:
Keys: Ctrl+S


Save All command (File menu)
< Prev | Next >
Use this command to save all open documents to their current name and directory.

This command does not display the Save As dialog box for unnamed documents.

Shortcuts
Toolbar:


Save As command (File menu)
Use this command to save and name the active document. EditPlus displays the Save As dialog box so you can name your document.

To save a document with its existing name and directory, use the Save command.


Save As Remote command (File menu)
Use this command to save current document to FTP server and edit it directly. This command presents Save As Remote File dialog box.

If you run 'Save' command with remote file, the change will be saved directly to the file on the FTP server


Save & Exit command (File menu)
Use this command to save all documents and end your EditPlus session.


Send Mail command (File menu)
Use this command to send current document through e-mail. This command requires MAPI compatible e-mail software.


New command (File menu)
< Prev | Next >
Use this command to create a new document on EditPlus. Choose appropriate document type on the popup menu. You can modify the list of templates through Configure Templates command.

Shortcuts
Toolbar:


Document Template command (File menu)
Use this command to create a new document using document template. You can add/or remove these menu items in Templates page of the Preferences dialog box.


Upload All command (File menu)
Use this command to upload all open files to FTP server. This command presents Upload Multiple dialog box and adds all open files to the list.


Form Button command (HTML Toolbar)
Inserts Form Button HTML tag.

<INPUT TYPE="button" VALUE="" ONCLICK="">


Check Box command (HTML Toolbar)
Inserts Check Box HTML tag.

<INPUT TYPE="checkbox" NAME="">


Hidden Field command (HTML Toolbar)
Inserts Hidden Field HTML tag.

<INPUT TYPE="hidden">


Form Image command (HTML Toolbar)
Inserts Form Image HTML tag.

<INPUT TYPE="image" SRC="">


List Box command (HTML Toolbar)
Inserts List Box HTML tag.

<SELECT NAME=""></SELECT>


Password Box command (HTML Toolbar)
Inserts Password Box HTML tag.

<INPUT TYPE="password">


Radio Button command (HTML Toolbar)
Inserts Radio Button HTML tag.

<INPUT TYPE="radio" NAME="">


Reset Button command (HTML Toolbar)
Inserts Reset Button HTML tag.

<INPUT TYPE="reset">


Submit Button command (HTML Toolbar)
Inserts Submit Button HTML tag.

<INPUT TYPE="submit">


Text Area command (HTML Toolbar)
Inserts Text Area HTML tag.

<TEXTAREA NAME="" ROWS="" COLS=""></TEXTAREA>


Text Box command (HTML Toolbar)
Inserts Text Box HTML tag.

<INPUT TYPE="text" NAME="">


FTP Settings command (File menu)
Use this command to set the FTP account information. This command presents FTP Accounts dialog box.


Heading 1 command (HTML Toolbar)
Inserts Heading 1 HTML tag.

<H1></H1>


Heading 2 command (HTML Toolbar)
Inserts Heading 2 HTML tag.

<H2></H2>


Heading 3 command (HTML Toolbar)
Inserts Heading 3 HTML tag.

<H3></H3>


Heading 4 command (HTML Toolbar)
Inserts Heading 4 HTML tag.

<H4></H4>


Heading 5 command (HTML Toolbar)
Inserts Heading 5 HTML tag.

<H5></H5>


Heading 6 command (HTML Toolbar)
Inserts Heading 6 HTML tag.

<H6></H6>


Help Topics command (Help menu)
Use this command to display the opening screen of Help. From the opening screen, you can jump to step-by-step instructions for using EditPlus and various types of reference information.

Once you open Help, you can click the Contents button whenever you want to return to the opening screen.


Keyboard Map command (Help menu)
Use this command to see the keyboard shortcuts currently assigned. You can modify the default keyboard shortcuts on Keyboard page of the Preferences dialog box.


Order Now command (Help menu)
Use this command to show ordering information dialog box. See How to Order for more details on registration.


Enter Registration Code command (Help menu)
Use this command to enter registration code which will unlock the evaluation version of EditPlus. This command presents Enter Registration Code dialog box. See How to Order for more details on registration.


Title Bar
The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:
Application Control-menu button
Document Control-menu button
Maximize button
Minimize button
Close button
Name of the application
Name of the document
Restore button


No Help Available
No help is available for this area of the window.


Anchor command (HTML Toolbar)
< Prev | Next >
Inserts Anchor HTML tag.

<A HREF=""></A>

 Shortcuts
HTML Toolbar:


Applet command (HTML Toolbar)
Inserts Applet HTML tag.

<APPLET CODE="" WIDTH="" HEIGHT="">
</APPLET>

 Shortcuts
HTML Toolbar:


Block Quotation command (HTML Toolbar)
< Prev | Next >
Inserts Block Quotation HTML tag.

<BLOCKQUOTE></BLOCKQUOTE>

 Shortcuts
HTML Toolbar:


Bold command (HTML Toolbar)
< Prev | Next >
Inserts Bold HTML tag.

<B></B>

 Shortcuts
HTML Toolbar:


Break command (HTML Toolbar)
< Prev | Next >
Inserts Break HTML tag.

<BR>

 Shortcuts
HTML Toolbar:


Center command (HTML Toolbar)
< Prev | Next >
Inserts Center HTML tag.

<CENTER></CENTER>

 Shortcuts
HTML Toolbar:


Character Picker (HTML Toolbar)
< Prev | Next >
The Character Picker helps you to insert HTML special characters into HTML document very easily. If you click on a character, the corresponding character code will be inserted into the active document.

Shortcuts
HTML Toolbar:


HTML Color Picker (HTML Toolbar)
< Prev | Next >
The HTML Color Picker helps you to insert HTML color code into the HTML document very easily. It shows Netscape's 216 colors which you can choose with a mouse click. If you want to insert other color, click More button and Choose Color dialog box will be shown.

Shortcuts
HTML Toolbar:


Comment command (HTML Toolbar)
< Prev | Next >
Inserts Comment HTML tag.

<!-- -->

 Shortcuts
HTML Toolbar:


Div command (HTML Toolbar)
Inserts Div HTML tag.

<DIV ID="" CLASS="">

</DIV>

 Shortcuts
HTML Toolbar:


Definition List command (HTML Toolbar)
Inserts Definition List HTML tag.

<DL>
<DT>
<DD>
</DL>


Font command (HTML Toolbar)
< Prev | Next >
Inserts Font HTML tag.

<FONT SIZE=""></FONT>

 Shortcuts
HTML Toolbar:


Form command (HTML Toolbar)
Inserts Form HTML tag.

<FORM METHOD=POST ACTION="">

</FORM>

 Shortcuts
HTML Toolbar:


Form Control command (HTML Toolbar)
< Prev | Next >
This command presents Form Control popup menu. Text Box, List Box, Radio Button, Check Box, Text Area, Reset Button, Submit Button, Password Button, Hidden Field and Image are available on Form Control popup menu.

Shortcuts
HTML Toolbar:


Frame command (HTML Toolbar)
Inserts Frame HTML tag.

<FRAMESET ROWS="," COLS=",">
<FRAME NAME="" SRC="" SCROLLING="">
<FRAME NAME="" SRC="" SCROLLING="">
</FRAMESET>

 Shortcuts
HTML Toolbar:


Heading command (HTML Toolbar)
< Prev | Next >
This command presents Heading popup menu. Heading 1 - 6 tags are available on Heading popup menu.

Shortcuts
HTML Toolbar:


Image command (HTML Toolbar)
< Prev | Next >
Inserts Image HTML tag. This command presents Select File dialog box to select image file. If you want to insert the image tag directly without the dialog box, hold down Shift key when running this command.

<IMG SRC="" ALT="">

 Shortcuts
HTML Toolbar:


Image Map command (HTML Toolbar)
Inserts Image Map HTML tag.

<MAP NAME="">
<AREA SHAPE="" HREF="" COORDS="" ALT="">
</MAP>

 Shortcuts
HTML Toolbar:


Italic command (HTML Toolbar)
< Prev | Next >
Inserts Italic HTML tag.

<I></I>

 Shortcuts
HTML Toolbar:


List command (HTML Toolbar)
< Prev | Next >
This command presents List tag popup menu. Unordered list, Ordered list and Definition list are available on List tag popup menu.

Shortcuts
HTML Toolbar:


Non Breaking Space command (HTML Toolbar)
< Prev | Next >
Inserts Non Breaking Space HTML tag.

&nbsp;

 Shortcuts
HTML Toolbar:


Object Picker (HTML Toolbar)
< Prev | Next >
The Object Picker helps you to insert object tag into the HTML document very easily. It lists all the ActiveX object which is available on the system. Double-click the item which you want to insert into the document.

Shortcuts
HTML Toolbar:


Ordered List command (HTML Toolbar)
Inserts Ordered List HTML tag.

<OL>
<LI>
<LI>
</OL>


Paragraph command (HTML Toolbar)
< Prev | Next >
Inserts Paragraph HTML tag.

<P>

 Shortcuts
HTML Toolbar:


Preformat command (HTML Toolbar)
< Prev | Next >
Inserts Preformat HTML tag.

<PRE></PRE>

 Shortcuts
HTML Toolbar:


Horizontal Ruler command (HTML Toolbar)
< Prev | Next >
Inserts Horizontal Ruler HTML tag.

<HR>

 Shortcuts
HTML Toolbar:


Script command (HTML Toolbar)
Inserts Script HTML tag.

<SCRIPT LANGUAGE="JavaScript">
<!--

//-->
</SCRIPT>

 Shortcuts
HTML Toolbar:


Span command (HTML Toolbar)
< Prev | Next >
Inserts Span HTML tag.

<SPAN CLASS=""></SPAN>

 Shortcuts
HTML Toolbar:


Style command (HTML Toolbar)
Inserts Style HTML tag.

<STYLE TYPE="text/css" TITLE="">

</STYLE>

 Shortcuts
HTML Toolbar:


Table Generator (HTML Toolbar)
< Prev | Next >
The Table Generator helps you to insert table tag into the HTML document very easily. Press left mouse button on a table cell and drag to the desired size then release the mouse button.

Shortcuts
HTML Toolbar:


Unordered List command (HTML Toolbar)
Inserts Unordered List HTML tag.

<UL>
<LI>
<LI>
</UL>


Underline command (HTML Toolbar)
< Prev | Next >
Inserts Underline HTML tag.

<U></U>

 Shortcuts
HTML Toolbar:


Import Recording command (Tools menu)
Use this command to load saved keystroke recording file. This command presents File Open dialog box to specify the file name. Keystroke recording files have *.mac extension. You can save recorded keystroke into keystroke recording file using Export Recording command.


Playback Multiple command (Tools menu)
Use this command to play back the recorded keystrokes multiple times. This command presents input dialog box to specify the repeat time. Keystrokes can be recorded using Record Keystroke command.


Export Recording command (Tools menu)
Use this command to save the recorded keystrokes into external file. This command presents File Save As dialog box to specify the file name. Keystroke recording files have *.mac extension. Saved keystroke recording file can be loaded using Import Recording command. Also, you can specify keystroke recording file on User tools page on Preferences dialog box so that you can access it through Tools menu or through User Toolbar.


Next Pane command (Window menu)
< Prev | Next >
Use this command to switch to the next window pane.

Shortcuts
Keys: F6


Copy Line command (Output window popup menu)
Use this command to copy current line of output window to clipboard.


Copy All command (Output window popup menu)
Use this command to copy all content of output window to clipboard.


Float command (Output window popup menu)
Check this menu option to make the Output Window a floating window.


Hide command (Output window popup menu)
Use this command to hide the output window. To show back the hidden window, use Output Window command on View menu.


Open Next command (Output window popup menu)
< Prev | Next >
Use this command to open next matching file which is displayed on the Output Window.

Shortcuts
Keys: Ctrl+F5


Open All command (Output window popup menu)
Use this command to open all the files which are displayed on the Output Window.


Paste command (Output window popup menu)
Use this command to insert Clipboard contents into the Output Window.


Open Prev command (Output window popup menu)
< Prev | Next >
Use this command to open previous matching file which is displayed on the Output Window.

Shortcuts
Keys: Ctrl+Shift+F5


Tab Size command (Output window popup menu)
Use this command to set the tab size of the Output Window.


Prev Pane command (Window menu)
< Prev | Next >
Use this command to switch to the previous window pane.

Shortcuts
Keys: Shift+F6


Add to Project command (Project menu)
Use this command to add current document into the project. You can also add/remove files on the Project dialog box.


Add All to Project command (Project menu)
Use this command to add all open documents into the project. You can also add/remove files on the Project dialog box.


Close Project command (Project menu)
Use this command to close all files of current project.


Select Project command (Project menu)
Use this command to select specific project and make it an active project. You can add/remove project on the Project dialog box.


Edit Projects command (Project menu)
Use this command to configure project settings on Project dialog box.


Project File command (Project menu)
Use this command to load the specified file of current project. Project can be configured on the Project dialog box.


Project INI File command (Project menu)
Use this command to selects an INI file to store the projects. By default, all projects are stored in project_u.ini file in the INI file directory. You can override the default INI file name with this command and select or switch to a different INI file.


Load Project command (Project menu)
Use this command to load all files of current project. You can configure project settings on the Project dialog box.


Next Project command (Project menu)
Use this command to selects the next project in the project list.


Prev Project command (Project menu)
Use this command to selects the previous project in the project list.


Remove from Project command (Project menu)
Use this command to remove current document from the project. You can also add/remove files on the Project dialog box.


Close command (Control menus)
Use this command to close the active window or dialog box.

Clicking the close icon on the title bar is the same as choosing the Close command.

Shortcuts
Keys: Ctrl+F4 closes a document window
Alt+F4 closes the EditPlus window or dialog box


Maximize command (System menu)
< Prev | Next >
Use this command to enlarge the active window to fill the available space.

Shortcuts
Mouse: Click the maximize icon on the title bar; or double-click the title bar.


Minimize command (application Control menu)
< Prev | Next >
Use this command to reduce the EditPlus window to an icon.

Shortcuts
Mouse: Click the minimize icon on the title bar.


Move command (Control menu)
< Prev | Next >
Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.

Shortcuts
Mouse: Drag the title bar


Next Window command (document Control menu)
< Prev | Next >
Use this command to switch to the next open document window. EditPlus determines which window is next according to the order in which you opened the window.

Shortcuts
Keys: Ctrl+F6


Previous Window command (document Control menu)
< Prev | Next >
Use this command to switch to the previous open document window. EditPlus determines which window is previous according to the order in which you opened the windows.

Shortcuts
Keys: Shift+Ctrl+F6


Restore command (Control menu)
Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


Size command (System menu)
Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:
1. Press one of the DIRECTION keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.
2. Press a DIRECTION key to move the border.
3. Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.

Shortcuts
Mouse: Drag the size bars at the corners or edges of the window.


Match Brace command (Search menu)
< Prev | Next >
Use this command to search for matching brace for current character.

Shortcuts
Keys: Ctrl+]


Clear All Marker command (Search menu)
< Prev | Next >
Use this command to clear all the markers currently set. This command is unavailable if there if no marker in current document.

Shortcuts
Keys: Ctrl+Shift+F9


Go to Definition command (Search menu)
< Prev | Next >
Use this command to search the tag files and go to the definition of current function or variable name. You can set the tag files to search using the Configure Tag Files command.

Shortcuts
Keys: Shift+F9


Find in Files command (Search Menu)
< Prev | Next >
Use this command to search specific text in multiple files. This command presents Find in Files dialog box.

Shortcuts
Toolbar:


Function List command (Search menu)
< Prev | Next >
Use this command to shows the function list. This command presents Function List dialog box.

Shortcuts
Keys: Ctrl+F11


Go To Line/Offset command (Search Menu)
< Prev | Next >
Use this command to go to specific line in the text document or an offset in the Hex Viewer. This command presents Go To Line dialog box.

Shortcuts
Toolbar:
Keyboard: Ctrl+G


Go To Column command (Search Menu)
< Prev | Next >
Use this command to go to specific column in current line. This command presents Go To Column dialog box.

Shortcuts
Keyboard: Ctrl+Shift+G


Go to File command (File menu)
This command loads the file of which the selected text is the path name.

If there is no selection, this command jumps to a file and locate the cursor to proper line. It searches current line using output window pattern.

c:\autoexec.bat(5,10)

Run this command at above line. The file "c:\autoexec.bat" will be opened and cursor will be located at line 5, column 10.

Shortcuts
Keys: F7
Mouse: Alt + Double-click


Invert Marker command (Search menu)
Use this command to invert (toggle) markers on all the lines of current document.


Marker List command (Search menu)
< Prev | Next >
Use this command to show the list of all markers set in current document.

Shortcuts
Keys: Ctrl+Shift+F11


Find Next Word command (Search menu)
< Prev | Next >
Use this command to search the next occurrence of the selected text. This command uses current word if there is no selection.

Shortcuts
Keys: Ctrl+F3


Next Column Marker command (Document menu)
Use this command to move the cursor to the next column marker position. You can set column marker using Set Column Marker command.


Next Function command (Search menu)
< Prev | Next >
Use this command to go to the next function.

Shortcuts
Keys: Alt+F11
Mouse: Alt+Ctrl+Wheel Down


Next Marker command (Search menu)
< Prev | Next >
Use this command to search for next marker position. You can set/clear marker using Toggle Marker command.

Shortcuts
Keys: F4


Find Previous Word command (Search menu)
< Prev | Next >
Use this command to search the previous occurrence of the selected text. This command uses current word if there is no selection.

Shortcuts
Keys: Ctrl+Shift+F3


Prev Column Marker command (Document menu)
Use this command to move the cursor to the previous column marker position. You can set column marker using Set Column Marker command.


Prev Function command (Search menu)
< Prev | Next >
Use this command to go to the previous function.

Shortcuts
Keys: Alt++Shift+F11
Mouse: Alt+Ctrl+Wheel Up


Previous Marker command (Search menu)
< Prev | Next >
Use this command to search for previous marker position. You can set/clear marker using Toggle Marker command.

Shortcuts
Keys: Shift+F4


Run Ctags command (Search menu)
Use this command to run the ctags program and create/refresh the tag file. You can configure the ctags command line using the Configure Tag Files menu command.


Select Brace command (Search menu)
< Prev | Next >
Use this command to search for a matching brace and select the text between the matching braces.

Shortcuts
Keys: Ctrl+Shift+]


Select Tag command (Search menu)
< Prev | Next >
Use this command to search for a matching HTML tag and selects the text between the matching tags.

Shortcuts
Keys: Ctrl+Shift+[


Toggle Marker command (Search menu)
< Prev | Next >
Use this command to set/clear a marker at current line. You can search for the marker position using Next Marker and Previous Marker commands.

Shortcuts
Keys: F9


Suggest Tag command (Search menu)
< Prev | Next >
Use this command to replace current partial word with an expanded word found in the tags file. If more than one matching words are found, it presents a list box that shows the candidates. You can set the tag files to search using the Configure Tag Files command.

Shortcuts
Keys: Alt+F2


Match Tag command (Search menu)
< Prev | Next >
Use this command to search for a matching HTML tag.

Shortcuts
Keys: Ctrl+[


Select Tag Category command (Search menu)
Use this command to select current ctags tag category. You can configure ctags tag categories using the Configure Tag Files menu command.


Configure Tag Files command (Search menu)
Use this command to configure the tag files and categories. This command presents the Configure Tag Files dialog box.


Go to URL command (Search menu)
< Prev | Next >
Use this command to go to a highlighted URL or extracted URL from current cursor position. If the URL is web site address, EditPlus opens internal browser window by default. If you want to run system default browser, you can set 'Use system default browser with Go to URL' option in Tools page of the Preferences dialog box.

Shortcuts
Keys: F8
Mouse: Ctrl + Double-click


Search Web command (Search Menu)
< Prev | Next >
Use this command to search currently selected word in the web browser. This command presents internal web browser or system default web browser depending on your settings.

Shortcuts
Keys: Shift+F8


Layout Options command (Cliptext/Directory popup menu)
Use this command to set the options for the Document Selector, Directory/Cliptext Window. This command presents Layout page of the Preferences dialog box.


Add command (Cliptext List Box popup menu)
Use this command to add a new cliptext item. This command presents Add Cliptext Item dialog box. You can define Hot Spot in the cliptext using "^!". Hot Spot will be the cursor location when the cliptext is inserted into the document. See Insert Cliptext Item command for details about Hot Spot.


Edit command (Cliptext List Box popup menu)
Use this command to edit current cliptext item. This command presents Edit Cliptext Item dialog box. You can define Hot Spot in the cliptext using "^!". Hot Spot will be the cursor location when the cliptext is inserted into the document. See Insert Cliptext Item command for details about Hot Spot.


Edit command (Cliptext Combo Box popup menu)
Use this command to load the current cliptext library file (which has ".CTL" extension) into the editor and edit it directly. The cliptext library file should be written in predefined syntax. The syntax is very simple. The fastest way is to look into the sample cliptext library that comes with EditPlus.

Header Information

#TITLE=HTML 3.2
#INFO
EditPlus Cliptext Library v1.0
Written by ES-Computing.
#SORT=y
Each statement should be prefixed with '#' sign.
1. #TITLE - The title of cliptext library. This should be located at the first line of the file. Otherwise, EditPlus cannot load it.
2. #INFO - Information about the cliptext library such as author, date, etc. This information can have multiple lines.
3. #SORT - Whether the cliptext library should be sorted or not in the list box. 'y' for yes and 'n' for no.

Text clips

#T=BODY
<BODY>
^!
</BODY>
Each text clips begins with title information of the form "#T=title", followed by text body. You can define optional Hot Spot using "^!". "^" is used as escape character. If you want to insert "^" itself in the text body, you should enter the character twice like "^^". When you insert the "#" in the text body, You also have to prefix the escape character to it like "^#". The text body can have multiple lines. An optional '#' can be placed in the line after the last line to indicates the end of the text clip.

#T=BODY
<BODY>
^!
</BODY>
#
The title-only text clips are also supported. The title itself will be inserted into the document. For example,

#T=font-family:

The above item has only title and not text body, so "font-family:" will be inserted into the document.

User files repository
EditPlus web site has a collection of user files (stx, ctl, acp files) on User Files page. You can submit your own syntax file to <submit@editplus.com> if you would like to share your file with other users.


Hide command (Cliptext/Directory popup menu)
Use this command to hide the cliptext or directory window. You can show window back using Cliptext Window command or Directory Window command on View menu.


Insert command (Cliptext List Box popup menu)
Use this command to insert current cliptext item into the active document. You can also drag and drop the cliptext item to the document to get the same result.

Cliptext can define Hot Spot (using "^!"). Hot Spot will be the cursor location when the cliptext is inserted into the document. If there is any selected text in the document, cliptext with Hot spot will be wrapped both side of the selection.

For example, if following cliptext
<TITLE>^!<TITLE>
is inserted into following selected text
Document Title
the result is
<TITLE>Document Title<TITLE>


Save command (Cliptext Combo Box popup menu)
Use this command to save current cliptext library to the file.


Sort command (Cliptext List Box popup menu)
Use this command to toggle the sort mode of current cliptext library. A check mark appears next to the menu item when cliptext library is in sort mode. Cliptext items cannot be moved in sorted library.


Configure User Tools command (Tools menu)
Use this command to add/remove/modify the user tools. User tool is user-defined application that EditPlus launches and optionally captures the output. This command presents User Tools page of the Preferences dialog box.


Enable Auto Run Groups command (Tools menu)
Check this option to turn on the Auto Run user tool groups.


Clear Output Window command
Use this command to clear the contents of the output window. Output window displays output of user tools or result of Find in Files command.


Set Directories command (Tools menu)
Use this command to set the directory to store the setting files (*.ini) and the directory for syntax, auto completion, cliptext, template files. This command presents Set Directories dialog box


Pause/Resume command (Tools menu)
Use this command to pause or resume the currently running Text to Speech audio.


Record Keystrokes command (Tools menu)
< Prev | Next >
Use this command to begin or stop recording the keystrokes. Recorded keystrokes can be played back using Playback Recording command.

Shortcuts
Keys: Ctrl+Q


Playback Recording command (Tools menu)
< Prev | Next >
Use this command to play back the recorded keystrokes. Keystrokes can be recorded using Record Keystroke command.

Shortcuts
Keys: Alt+1 - Alt+0


User Tool Groups command (Tools menu)
Use this command to select user tool group. There are 10 user tool groups available and you can add up to 20 user tools in each group. You can configure user tools groups and user tools on User Tools page of the Preferences dialog box.


Sort command (Tools menu)
Use this command to sort the document or the selected text. If the selection is a column selection, the selected text is used as the sort key.


Start/End Speech command (Tools menu)
Use this command to start or end Text to Speech on selected text. You should first make a selection before you run this command. This feature uses Speech engine of your operating system. Languages other than English might not be supported.


Spell Check command (Tools menu)
< Prev | Next >
Use this command to check spell in current document. This command presents Spell Checker dialog box.

Shortcuts
Toolbar:


Sum command (Tools menu)
Use this command to calculate sum of selected numbers. This command displays sum of all numbers included in selected text. ',' signs between number characters will be ignored. This command is unavailable if there is no text currently selected.


FTP Upload command (File menu)
< Prev | Next >
Use this command to upload file to FTP server. This command presents FTP Upload dialog box.

Shortcuts
Keys: Ctrl+Shift+S


Run User Tools command (Tools menu)
< Prev | Next >
Use this command to run the specified user tool. User tools can be configured in User Tools page of the Preferences dialog box.

Shortcuts
Keys: Ctrl+0 - Ctrl+9


Checkout command (File menu)
Use this command to run SVN Checkout on current directory. To use this function, you should have TortoiseSVN installed on your computer.


Commit command (File menu)
Use this command to run SVN Commit on current file. To use this function, you should have TortoiseSVN installed on your computer.


Commit Dir command (File menu)
Use this command to run SVN Commit on current file directory. If there is no open file, this function uses current directory on the Directory Window. To use this function, you should have TortoiseSVN installed on your computer.


Compare Files command (File menu)
Use this command to compare two open files. This command presents Window List dialog box where you can select two files from the list. To use this function, you should have TortoiseSVN installed on your computer.


Diff command (File menu)
Use this command to run SVN Diff on current file with previous version. To use this function, you should have TortoiseSVN installed on your computer.


Use TortoiseGit command (File menu)
Turn on this option to use TortoiseGit instead of TortoiseSVN when you run the SVN commands. To use this function, you should have TortoiseGit installed on your computer.


Show Log command (File menu)
Use this command to run SVN Log on current file. To use this function, you should have TortoiseSVN installed on your computer.


Show Log Dir command (File menu)
Use this command to run SVN Log on current file directory. If there is no open file, this function uses current directory on the Directory Window. To use this function, you should have TortoiseSVN installed on your computer.


Update command (File menu)
Use this command to run SVN Update on current file. To use this function, you should have TortoiseSVN installed on your computer.


Update Dir command (File menu)
Use this command to run SVN Update on current file directory. If there is not open file, this function uses current directory on the Directory Window. To use this function, you should have TortoiseSVN installed on your computer.


Brace Highlighting command (View menu)
Turn on this option to highlight matching braces at current cursor location.


Browser Toolbar command (View menu)
Use this command to display and hide the Browser Toolbar, which includes buttons for some of the most common browser commands on EditPlus. A check mark appears next to the menu item when the Browser Toolbar is displayed.

See Browser Toolbar for help on using the Browser toolbar.


Collapse command (View menu)
< Prev | Next >
Use this command to collapse the current part of the code according to the hierarchy of line indentation.

Shortcuts
Keys: Ctrl+Num -


Collapse All command (View menu)
< Prev | Next >
Use this command to collapse all indented text according to the hierarchy of line indentation.

Shortcuts
Keys: Ctrl+Alt+Num -


Collapse One Level command (View menu)
< Prev | Next >
Use this command to collapse the entire code one level according to the hierarchy of line indentation.

Shortcuts
Keys: Ctrl+Shift+Num -


Directory Window command (View menu)
Use this command to show or hide the directory window.

See Directory Window for more help on Directory Window.

Shortcuts
Toolbar:
Keys: Alt+Shift+3


Goto Drive List command (View menu)
< Prev | Next >
Use this command to Shows the list of disk drives and FTP servers on the Directory Window.

Shortcuts
Keys: Alt + F6


Expand command (View menu)
< Prev | Next >
Use this command to expand current folded line according to the hierarchy of line indentation.

Shortcuts
Keys: Ctrl+Num +


Expand All command (View menu)
< Prev | Next >
Use this command to expand all folded text according to the hierarchy of line indentation.

Shortcuts
Keys: Ctrl+Alt+Num +


Expand One Level command (View menu)
< Prev | Next >
Use this command to expand the entire code one level according to the hierarchy of line indentation.

Shortcuts
Keys: Ctrl+Shift+Num +


Goto Cliptext/Directory command (View menu)
< Prev | Next >
Use this command when you want to move the keyboard input focus to the Cliptext Window/Directory Window, or to the document window from the Cliptext/Directory window.

Shortcuts
Keys: Alt + F5


Use Code Folding command (View menu)
< Prev | Next >
Use this command to turns on or off the code folding feature.

This feature follows the code hierarchy based on line indentation. The more leading spaces a line has, the further down it is in the hierarchy.

Shortcuts
Keys: Ctrl+Shift+F


Toggle Folding command (View menu)
< Prev | Next >
Use this command to toggle the folding state of current line. If the current line is in collapsed state, it runs the expand command. On the contrary, if the current line is in expanded state, it runs the collapse command.

Shortcuts
Keys: Ctrl+Num *


Set Font command (View menu)
Use this command if you want to set the font of document. This command presents Font page of the Preferences dialog box.


Screen Font command (View menu)
< Prev | Next >
Use this command when you want to select the screen font. Choose appropriate font on the popup menu. If you want to change current font setting, use Set Font command.

Shortcuts
Toolbar:


Set Printer Font command (View menu)
Use this command when you want to set the printer font. This command presents Font page of the Preferences dialog box.


Full Screen command (View menu)
< Prev | Next >
Use this command if you want to change full screen mode on and off. In full screen mode, the document window covers the entire screen so you have more space to view the content of the document.

Shortcuts
Toolbar:
Keys: Alt+Shift+0


Goto Output Window command (View menu)
< Prev | Next >
Use this command when you want to move the keyboard input focus to the output window, or to the document window from the output window.

Shortcuts
Keys: Shift+F5


HTML Toolbar command (View menu)
Use this command to display and hide the HTML Toolbar, which includes buttons for common HTML tags. The HTML Toolbar appears automatically when you open an HTML document and disappears when you close the document. A check mark appears next to the menu item when the HTML Toolbar is displayed.

See HTML Toolbar for help on using the HTML toolbar.


Cursor Indicator command (View menu)
< Prev | Next >
Use this command if you want to show or hide the cursor indicator in the ruler and line number area. This command is useful for high resolution video mode. The cursor location is much easier to find. You can change the color of the indicator on Colors page of the Preferences dialog box.

Shortcuts
Keys: Alt+Shift+C


Tabs command (View menu)
< Prev | Next >
Use this command if you want to show or hide invisible tab characters. If you want to show line break marks, use Line Breaks command.

Shortcuts
Keys: Alt+Shift+I


All White Spaces command (View menu)
< Prev | Next >
Use this command if you want to show or hide all white spaces (tabs, spaces and line breaks) with a single command.

Shortcuts
Keys: Alt+Shift+O


Line Number command (View menu)
< Prev | Next >
Use this command to show or hide the line number. Line number can increase readability in program sources or HTML documents.

Shortcuts
Toolbar:
Keys: Ctrl+Shift+L


Line Break command (View menu)
< Prev | Next >
Use this command if you want to show or hide invisible line break (paragraph) marks. If you want to show spaces and tab characters, use Tabs and Spaces commands.

Shortcuts
Keys: Alt+Shift+L


Mirror Screen Font command (View menu)
Use this command when you want to use same printer font as screen font. If you change screen font, printer font will also be changed automatically.


Preferences command (Tools menu)
Use this command if you want to set the options available in EditPlus. EditPlus does not use confusing multi-row tabbed property sheet, but offers preferences dialog box which consists of several pages. Categories are shown in the tree control. You can select the desired item to display the corresponding page.

General
Specify general options.
Fonts
Specify fonts for edit window, cliptext window and output window.
Colors
Specify colors for edit window, line number and output window.
Print
Specify print options such as margin, header/footer and printer properties.
File
Specify file options.
Settings & Syntax
Specify settings and syntax highlighting for each file types. EditPlus supports multiple settings, so you can specify different settings for each different file types.
Templates
Customize file templates. Templates will be shown in File | New command.
Tools
Specify tool options.
User tools
Customize user-tools.
Keyboard
Customize keyboard shortcuts.
Spell checker
Specify spell checker options.
Toolbar
Customize toolbar buttons.
Layout
Specify the Document Selector, Directory/Cliptext Window options.

Shortcuts
Toolbar:


Output Window command (View menu)
Use this command to display and hide the Output window, which displays the output of user tools.

See Output Window for more help on Output window.

Shortcuts
Toolbar:
Keys: Alt+Shift+2


Ruler command (View menu)
< Prev | Next >
Use this command if you want to show or hide the ruler at the top of the active document.

Shortcuts
Keys: Alt+Shift+R


Document Selector command (View menu)
Use this command to display and hide the Document Selector, which offers quick access to all open documents. Switching between documents is much easier with clicking document selector than pressing Ctrl+Tab key multiple times. A check mark appears next to the menu item when the Document selector is displayed.

To change the location of the Document Selector, right click the Document Selector and choose 'Options' command on the popup menu.

See Document Selector for help on using the Document Selector.

Shortcuts
Toolbar:
Keys: Alt+Shift+3


Spaces command (View menu)
< Prev | Next >
Use this command if you want to show or hide invisible spaces. This option is useful when you turn on Allow Virtual Space option.

Shortcuts
Keys: Alt+Shift+K


Status Bar command (View menu)
Use this command to display and hide the Status Bar, which describes the action to be executed by the selected menu item or depressed toolbar button, and keyboard latch state. A check mark appears next to the menu item when the Status Bar is displayed.

See Status Bar for help on using the status bar.


Syntax highlighting command (View menu)
Use this command if you want to enable the syntax highlighting feature. You can set the syntax highlighting options on Settings & syntax page of the Preferences dialog box.

Shortcuts
Keys: Alt+Shift+S

See also:
Syntax Highlighting


Cliptext Window command (View menu)
Use this command to display and hide the cliptext window. Cliptext window allows you to handle frequently-used text clips very conveniently. A check mark appears next to the menu item when the cliptext Window is displayed.

See Cliptext Window for help on using the cliptext window.

Shortcuts
Toolbar:
Keys: Alt+Shift+1


Toolbar command (View menu)
Use this command to display and hide the Toolbar, which includes buttons for some of the most common commands on EditPlus, such as File Open. A check mark appears next to the menu item when the Toolbar is displayed.

See Toolbar for help on using the toolbar.


URL highlighting command (View menu)
< Prev | Next >
Use this command if you want to highlight Internet URLs and e-mail addresses. This command is not available in syntax highlighted document. You can go to the highlighted URL using Go to URL command.

Shortcuts
Keys: Alt+Shift+U


User Toolbar command (View menu)
Use this command to display and hide the User Toolbar, which includes buttons for user tools and templates. A check mark appears next to the menu item when the User Toolbar is displayed.


Word Highlighting command (View menu)
Turn on this option to highlight all occurrences of selected word in current document.


Larger Font Size command (View menu)
< Prev | Next >
Use this command when you want to increase the size of current screen font.

Shortcuts
Keys: Alt+Shift+Num +
Mouse: Alt+Shift+Wheel Up


Smaller Font Size command (View menu)
< Prev | Next >
Use this command when you want to decrease the size of current screen font.

Shortcuts
Keys: Alt+Shift+Num -
Mouse: Alt+Shift+Wheel Down


Window 1, 2, ... command (Window menu)
EditPlus displays a list of currently open document windows at the bottom of the Window menu. A check mark appears in front of the document name of the active window. Choose a document from this list to make its window active.


Arrange Icons command (Window menu)
Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this document window.


Cascade command (Window menu)
Use this command to arrange multiple opened windows in an overlapped fashion.


Close All command (Window menu)
Use this command to close all document windows.


Last Visited command (Window menu)
< Prev | Next >
Use this command to activates the most recently visited window.

Shortcuts
Keys: F12


Window List command (Window menu)
< Prev | Next >
Use this command to show the list of all document window in Window List dialog box.

Shortcuts
Keys: F11


Minimize All command (Window menu)
Use this command to minimize all document windows.


Next command (Window menu)
< Prev | Next >
Use this command to activates the next document window.

Shortcuts
Keys: Ctrl+Tab


Previous command (Window menu)
< Prev | Next >
Use this command to activates the previous document window.

Shortcuts
Keys: Ctrl+Shift+Tab


Restore All command (Window menu)
Use this command to restore all minimized document windows.


Save Window Width command (Window menu)
Use this command to save current document window width and apply this value to new document windows.


Split command (Window menu)
Use this command to split the active window into panes. You may then use the mouse or the keyboard arrows to move the splitter bars. When you are finished, press the mouse button or enter to leave the splitter bars in their new location. Pressing escape keeps the splitter bars in their original location.


Stretch command (Window menu)
Use this command to stretch the top and bottom of current window so that the window can fill the workspace vertically.


Scroll Sync command (Window menu)
Use this command to enable synchronized scroll. When this feature is turned on, scrolling in one document window has same effect in all the other windows too.


Tile Horizontal command (Window menu)
Use this command to vertically arrange multiple opened windows in a non-overlapped fashion.


Tile Vertical command (Window menu)
Use this command to arrange multiple opened windows side by side.


Always on Top command (Window menu)
Use this command to make the EditPlus window stay on top of other application windows.


Transparent command (Window menu)
Use this command to make the EditPlus window about 25% transparent.


Minimize as Tray Icon command (Window menu)
Use this command to show EditPlus as tray icon instead of the taskbar button when minimized. You can click the try icon to restore the EditPlus window.


About dialog box
< Prev | Next >
This dialog box displays copyright information, name of the registered user, and system informations. If you registered EditPlus, your name will be displayed here. For more information about registration, see How to Order.

See also:
How to Order
License Agreement


FTP Settings dialog box
In this dialog box, you can set accounts to use with the FTP commands. Following options are available:

FTP Groups
This combo box displays list of FTP groups. You can select one from the 10 FTP groups to add FTP accounts.
FTP accounts
This list box displays list of FTP accounts. Select a account that you want to configure.
Add
Add a new account.
Remove
Remove selected account.
Up/Down
Moves selected account up or down.
Sort
Sorts the account list.
Copy
Copies current account setting to other FTP group.
Move
Copies current account setting to other FTP group.
Description
Specify the description for current account.
FTP server
Specify FTP server name for current account.
Username
Specify username for logging in current account.
Password
Specify password for logging in current account.
Subdirectory
Specify initial subdirectory to connect. If this field is left blank, the default FTP directory will be used.
Advanced Options
Sets the advanced FTP options. This button presents Advanced FTP Settings dialog box.
Check file modification when saving
Check this option to detect modification of a remote file by other application when saving it.
Disconnect automatically
Close connection after FTP operation.
Force displaying hidden files
Always show hidden files on UNIX servers. This feature uses LIST -la FTP command.
Warn if server doesn't respond in 10 sec.
Display warning message if server does not respond to FTP command in 10 seconds.
Allow duplicated accounts
Allow multiple accounts with same server and username. This opttion uses FTP path format of EditPlus version 2.xx (ftp(account):/directory) instead of the new format (userid@server:/directory).
Cache directory content
Cache directory content to speed up the directory listing. To update the content, you should manually run refresh command.
Upload to a temp file then rename
This option allows uploading to a temporary file first then rename this file to original file name. It may help prevent possible data loss when the upload process is accidentally interrupted.


Advanced FTP Settings dialog box
In this dialog box, you can set advanced FTP options for current FTP account. Following options are available:

Port
Specify port number for current account.
Default FTP port
Check this option to use default FTP port for current account.
Use sftp
Check this option to connect server through sftp instead of the standard FTP.
Use Pageant
Check this option to login with private key file through the Pageant SSH authentication agent program.
Try 'keyboard-interactive' authentication
Check this option to try the keyboard-interactive authentication before password authentication in case the sftp server requires this method.
Passive FTP mode
Check this option to use passive FTP semantics for current account.
Use UTF-8 file names
Check this option if current server uses UTF-8 files names.
Use STAT instead of LIST
Check this option to use STAT command instead of LIST command in case server does not allow LIST.
Do not follow symbolic links
Check this option to skip identifying the symbolic links to avoid slow down when too many symbolic links are present.
Keep local copy
Use this option if you want to keep a local copy of remote file in a specified directory.
Send PWD after each interval
Specify interval to send PWD periodically for keeping the connection alive. Enter '0' to disable this feature.
Server type
Select server type of the remote host. Select 'Automatic' to detect the server type automatically. This option is not available if 'Use Win32 Internet Functions' option is turned on.
Transfer type
'ASCII' transfer type automatically converts the file format (CR/LF) between different machines while 'Binary' type does not. 'ASCII' is recommended for plain text files.
Firewall settings
Sets the firewall options if current FTP connection requires a firewall.


General page (Preferences dialog box)
In this page, you can specify general options of EditPlus. Following options are available.

Combo Box history
Specify number of combo box history. EditPlus maintains history of text that you entered in combo box. When you type text in the combo box, EditPlus will search the list and help you complete the remaining part of the text. If you enter 0 in this field, the combo box auto completion feature will not be used.
Word delimiters
Specify delimiters that are used to determine work boundaries. You don't need to specify the space character and the tab character here, since those are treated as delimiter by default. This option can be overridden by #DELIMITER setting in the syntax file.
Reload working files on startup
Check this option to save the list of all open files and the cursor positions on exit. EditPlus reloads these files when it starts next time.
Restore cursor/markers/encoding of recent files
Check this option to save/restore the cursor/marker positions and the encoding of the document for 50 recent files.
Allow multiple instances
Check this option to allow multiple instances of EditPlus to run at the same time.
Use XHTML tags
Check this option to use XHTML tags instead of HTML tags in the template and the HTML toolbar.
HTML tag in lower case
Check this option to insert HTML tags in lower case.
Close HTML tag automatically
Check this option to close brace automatically when you type HTML tags.
Turn off sounds
Check this option to turn off message beep sounds.
File Open dialog restores previous directory
Check this option to restore previous directory when running File Open dialog box.
HOME key goes to first non-space character
Check this option to move the cursor to the first non-space character when pressing the HOME key.
Create new document on startup
Check this option to create a new document on startup when there is no other active document.
Use EditPlus in Internet Explorer
Check this option to use EditPlus with the View Source command of Internet Explorer.
Add EditPlus to right mouse button
This option registers a shell extension which adds EditPlus command to the Context menu of the file in Explorer.
Use TR1 regular expression
Check this option to use C++ TR1 regular expression library instead of the previous regular expression feature. TR1 regular expression is ECMAScript compatible and has more features but is slower than the previous one.
Support Arabic and Hebrew text
Check this option to enable advanced support for Arabic and Hebrew text. Please note that this feature consumes additional memory.


Colors page (Preferences dialog box)
In this page, you can specify colors. Following options are available.

Area
Choose area where current color setting should be applied. You can specify different color setting for each area.
Foreground
Choose text color of current area. This command presents color picker.
Background
Choose background color of current area. This command presents color picker.
Default
Check this option to use default system color in current area.
Export
Press this button if you want to export the color settings to an external file that can be imported later.
Import
Press this button if you want to import the color settings from an external file that was previously exported.
Reset Default
Press this button if you want to reset all color settings to the default value.


Fonts page (Preferences dialog box)
In this page, you can specify fonts. Following options are available.

Area
Choose area where current font setting should be applied. You can specify different font setting for each area.
Fonts
This window displays font names which is available on the system. Choose font name you want.
Font style
This window displays font style that is available in current font.
Size
Choose the size of the font.
Line space
Specify line space. The unit is percentage of height of a line.
Language
Choose language of current font.
Use font language for Unicode conversion
Check this option to apply the language of the screen font when converting Unicode files into normal file.
Printer font mirrors screen font
Check this option to make printer font follow screen font regardless of the printer font settings.
Use system font in dialog box
Check this option to use system menu font in dialog boxes. This may improve compatibility on foreign language version of Windows.


Backup Options dialog box
This dialog box appears when you press the Backup options button on File page of the Preferences dialog box. In this dialog box, you can set more backup options.

Backup directory
Specify the directory where you want to save backup files. If this field is blank, backup files will be saved to the same directory with the original files.
Backup file extension
Specify desired backup file extension. Leave blank if you want to use the default value (bak).
Create backup file of remote file in backup directory
Check this option to create backup file when saving remote files. The backup file is saved in backup directory. If the backup directory is not specified or not present, the backup file will not be created.
Include directory name
Check this option to create backup file in a subdirectory named after the original directory.
Keep directory structure
Check this option to create backup with exactly same directory structure under the backup directory.
Include date and time
Check this option to add date and time to the backup file name.
Include user account name
Check this option to add user account name to the backup file name.


Configure Encodings dialog box
In this dialog box, you can add or remove encodings. The list of encodings can be used on the File Open dialog box or Open/Save As Remote File dialog box.

Encodings
Displays current list of encodings.
Add (left arrow button)
Add selected system codepage to the encodings list.
Remove (right arrow button)
Remove selected encoding from the list.
System codepages
Displays available system codepages.


Customize Date/Time dialog box
In this dialog box, you can customize date/time format which is used by date/time commands. You can invoke this dialog box using Customize Date/Time command on Edit | Insert menu.

Commands
Choose date/time command where current date/time format should be applied.
Format
Type Date/Time Macro here or press down-arrow button to choose macro.
Use default system format
Check this option to use default system date/time format.
Preview
This field shows date/time string which will be inserted into document.


Set Directories dialog box
This dialog box appears when you run Set Directories command on the Tools menu. In this dialog box, you can specify the INI file directory and the Syntax directory.

INI file directory
Specify the directory where the program stores the *.ini (settings) files and other settings.
Syntax directory
Specify the directory where the syntax files (*.stx), auto completion files (*.acp), cliptext files (*.ctl) and templates.


Search Result dialog box
In this dialog box, you can select a word from the search result and insert it into the active document. You can invoke this dialog box using Search Cliptext, Search Document or Search All Open Files command.


File Extensions dialog box
This dialog box appears when you press the Advanced button on the Settings & Syntax page of the Preferences dialog box. In this dialog box, you can set additional file extension options for the file type.

File extensions
Specify file extensions for current file type. You must separate each extension by semicolon(;). For example, HTML file type has following extensions - html;htm;asp;shtml
An additional file name
Specify an additional file name in case the file type is not based on file extensions. You can include the wildcard * ? in this file name.
First line of file
Specify the content of first line of file if the file type is based on the first line of file.


File page (Preferences dialog box)
In this page, you can specify file options. Following options are available.

Auto-save interval
Specify the interval for the auto-saving feature. If you specify zero, the auto-saving feature will be disabled.
Auto save as *.tmp file
Check this option to auto-save to a temporary file rather than to the original file. The temporary file has a *.tmp extension appended to the original file name. If the program accidentally crashes, you can recover the unsaved document from the *.tmp file.
Create new file as
Select file format (PC/UNIX/MAC line breaks).
Default encoding
Select an encoding to apply when opening or creating files.
Create backup file when saving
Check this option to create backup file when saving documents. The name of the backup file will be the same as the original document and have ".bak" extension.
Backup options
Sets more backup options. This button presents Backup Options dialog box.
Check file modification when saving
Check this option to detect file modification by other application when saving the file.
Check file modification when activated
Check this option to enable checking modification of open files outside EditPlus. This might take some time if you edit files on networked drive with slow connection.
Lock file when checking modification
Check this option to lock file when checking file modification. This option can prevent wrong file modification messages on some network drives.
Reload modified files automatically
Check this option to reload automatically if the file is modified by other application.
Check file deletion
Check this option to enable checking deletion of open files outside EditPlus.
Use JScript as default ASP language
Check this option to use JScript as default ASP language when it is not specified within the document. If this option is not checked, VBScript is used instead.
Protect read-only files from editing
Check this option to protect read-only files from being edited.
Check invalid CR/LF, null character when loading
Check this option to check if there is any invalid CR/LF or null character when loading file.
No Recent files list
Check this option to turn off the Recent Files menu.
Disable Save button with unmodified documents
Check this option to disable Save menu and toolbar button if document does not contain any changes.


Settings & Syntax page (Preferences dialog box)
You can specify different settings to each different file type. Following options are available.

File types
This window displays available file types. Choose file type which you want to set options for. You can add or remove file types using Add/Remove buttons.
Add
Press this button if you want to add a new file type. You can register up to 30 file types.
Remove
Press this button if you want to remove current file type. You cannot remove the default file types.
Up/Down
Moves selected file type up or down.
Description
Specify the description for current file type.
File extensions
Specify file extensions for current file type. You must separate each extension by semicolon(;). For example, HTML file type has following extensions - html;htm;asp;shtml
Word wrap
Set the word wrap options. This button presents Word Wrap Options dialog box.
Tab/Indent
Set the tab and indent options. This button presents Tab and Indent dialog box.
Col Markers
Specify column markers for current file type. This button presents Set Column Marker dialog box.
Func Pattern
Specify the function pattern regular expression to use in the Function List command. This button presents Function Pattern dialog box.
Syntax file
Specify the path of syntax file for current file type. To set the syntax highlighting colors, click Syntax Colors tab. See Syntax highlighting for more information about the syntax file.
Auto completion file
Specify the path of auto completion file for current file type. See Auto completion for more information about the auto completion file.
Add to 'Common Files'
Add the selected file type to Common Files filter.
Associate in Explorer
Check this option to associate current file type in Explorer. You can open the associated files by double-clicking it in Explorer.
Show HTML toolbar
Check this option to display HTML toolbar with current file type.
Trim trailing spaces on save
Check this option to trim trailing spaces automatically when you save file of current file type.
Syntax Colors tab
Press this tab to set the syntax highlighting colors for current file type.


Templates page (Preferences dialog box)
In this page, you can specify document templates which is shown on File|New menu. See Document Template for more detail about document template.

Templates
This box lists registered document templates.
Add
Add a new document template.
Remove
Removes the selected document template.
Reset Default
Press this button if you want to reset all the settings to default values.
Up
Moves up the selected document template.
Down
Moves down the selected document template.
Menu text
Specifies the description of the selected document template which will be shown on the menu item.
File path
Specifies the path of template file.
Open
Load current template file into the editor.


Fill Selection dialog box
In this dialog box, you can set the options for the Fill Selection command. You can invoke this dialog box using the Fill Selection command on Edit | Format menu.

Enter character or string
Enter character or string with which you want to fill the selection.
Insert
Select this option if you want to insert the specified string at the beginning of each line of the selection.
Replace
Select this option if you want to replace the existing text in the column selection with the specified string. Available with column selection only.
Repeat
Select this option if you want to repeatedly fill the area of the column selection with the specified string. Available with column selection only.


Find dialog box
In this dialog box, you can find specific text in current document. Following options are available.
Find What
Enter text that you want to search for. EditPlus supports regular expression. You can press down-arrow button for regular expression templates. See Regular Expression for more details.
Find
Press this button to find next matching text with current options.
Previous
Press this button to find previous matching text with current options.
Set Marker
Press this button to find all occurrences of the specified text in the current document and set markers to them.
Case sensitive
Check this option if you want case-sensitive searching.
Whole word only
Check this option if you want to search whole word only and ignore text which is a substring of another word.
Regular expression
Check this option if you want to search regular expression. Regular expression allows more sophisticated and powerful search. See Regular Expression for more detail about regular expression syntax.
Wrap at the end of file
When end of file is reached, resume search from the start.
Close if found
Check this option to close the Find dialog box when the word is found.
Continue to next file
Check this option to continue to the next file at the end of a file.
Find as you type
Check this option to to locate matches in real time as you type.
More/Less
Press this button to show the multi-line input field. You can enter multi-line text in this input box. Press Ctrl+Tab to enter a tab character in this input box.


Find in Files dialog box
In this dialog box, you can find specific text in multiple files. Following options are available.

Find What
Enter text that you want to search for. EditPlus supports regular expression. You can press down-arrow button for regular expression templates. See Regular Expression for more details.
File type
Enter wild card pattern of the files that you want to find text in. When you specify more than one pattern, separate each one with semicolon(;). For example, if you want to find in HTML files, use "*.html;*.htm".
Exclude
Enter substring of file name (or directory name) that you want to exclude from the search. When you specify more than one pattern, separate each one with semicolon(;). For example, "*.tmp;*.bak".
Folder
Specify the folder where the searching takes place.
All open files
Check this option to search all open documents instead of using the content of the File Type and the Folder fields.
Current file
Check this option to search current file only instead of using the content of the File Type and Folder fields.
Current file directory
Check this option to search in current file directory instead of using the content of the Folder field.
Current project
Check this option to search in files in current project instead of using the content of the File Type and the Folder field.
Case sensitive
Check this option if you want case-sensitive searching.
Whole word only
Check this option if you want to search whole word only and ignore text which is a substring of another word.
Regular expression
Check this option if you want to search regular expression. Regular expression allows more sophisticated and powerful search. See Regular Expression for more detail about regular expression syntax.
Include sub-folders
Search also sub-folders of the specified folder.
Show duplicated lines
Check this option if you want the output window to show all the occurrences even if they are on a same line.
Save open files
Check this option to automatically save all open files before searching.
Show result in a new document
Check this option to show the search result in a newly created document window instead of the Output Window. It can avoid slow down of the Output Window when the search produces too many results.
Find
Find specified text with current options.
More/Less
Press this button to show the multi-line input field. You can enter multi-line text in this input box. Press Ctrl+Tab to enter a tab character in this input box.


Open/Save As Remote File dialog box
In this dialog box, you can browse FTP site and open/save file directly for remote editing. You can invoke this dialog box using Open Remote command on File | FTP menu.

File list
This list box displays list of files on current FTP server. You can double click a file to open or save. If you double click a directory, the remote working directory will be set to that directory.
Groups
Select the FTP group that contains desired FTP account.
FTP Account
Select a FTP account to browse. To edit FTP account settings, press 'Setting' button.
Connect
Press this button to connect to FTP server and browse the site.
Setting
Press this button to edit FTP account settings.
File name
This field displays selected file name. You can also manually type a file name.
File of type
Lists the types of files to display.
Encoding
You can select one of the encodings from the list. An encoding is a codepage by which a file is converted when opening and saving. To add more system codepages to the list, press the '...' button on the right and the Configure Encodings dialog box will be displayed.
Open/Save
Press this button to open or save the selected file.
Close dialog box after transfer
Check this options if you want to close the dialog box after the file transfer.


Function List dialog box
This dialog box shows the list of functions in the active document. You can invoke this dialog box using Function List command.

On Settings & Syntax page of the Preferences dialog box, you can set the regular expression for extracting the functions.

Refresh
Refreshes the function list.
Go to
Goes to the selected function.
Copy List
Copies the function list to the clipboard.
Sort
Displays the function list alphabetically.
Dialog font
Uses dialog font for the list instead of the document font.
Stay open
Keeps the function list window open.


Function Pattern dialog box
In this dialog box, you can set the function pattern regular expression to use in the Function List command.. You can invoke this dialog box using Function Pattern command.

Function pattern regular expression
Specify the regular expression for the Function List command.
Default
Press this button if you want to reset the function pattern to the default value.
Partial display
Specify this option if you want only part of the line to be displayed on the Function List dialog box instead of displaying the whole line.


Set Column Marker dialog box
In this dialog box, you can set column marker positions. You can invoke this dialog box using Set Column Marker command.

Marker 1 - 10
Specify column marker positions.
Show markers
Use this option if you would like to display or hide the column markers.


Encoding dialog box
In this dialog box, you can select one of the encodings from the list. An encoding is a system codepage by which a file is converted when opening and saving. To add more system codepages to the list, press the '...' button on the right and the Configure Encodings dialog box will be displayed.


Output Pattern dialog box
In this dialog box, you can specify output pattern for the tag jump in the output window.

Use default output pattern
Check this option if you want to use the default output pattern. Default output pattern supports Microsoft compilers, Java/GCC, Perl, Borland (old) and other compatible compiler outputs.
Regular expression
Specify the Regular Expression for the output pattern. You can press the down-arrow button on the right to select from ready-made templates.
Regular expression tags
Select tagged expressions for file name, line number and column number.


Print page (Preferences dialog box)
In this page, you can specify how the document should be printed:

Margins
Sets the printing margin.
Draw margin in preview
Displays margins in preview mode
Header and footer
Specifies the header and footer text. You can use the header/footer macros as well as normal text.
Beginning page number
Specifies the beginning page number to display on the header or footer.
Draw separating line
Draws line between the document and the header/footer.
Ignore header/footer
Ignores header/footer settings and does not print them.
Default
Resets the default values for the header and the footer.
Ignore text color
Ignores all the text colors and prints only in black and white.
Always apply word wrap
Applies word wrap when printing regardless of current settings.
Hide line numbers
Hide line numbers even when Line Number option is turned on.
Printer Setup
Invokes the Print Setup dialog box.


Project dialog box
In this page, you can add or remove projects and its elements.

Projects
This box lists registered projects.
Add Project
Add a project.
Remove
Removes the selected project. You cannot remove the default project.
Rename
Change the name of the selected project.
Up
Moves up the selected project. The default project cannot be moved.
Down
Moves down the selected project The default project cannot be moved.
Add File
Add a specific file into current project. This command presents File Selection dialog box.
Add Dir
Add a directory into current project. Selecting directory in the project menu opens all the files located in that directory.
Remove (File)
Remove the selected file from current project.
Up (File)
Moves up the selected file.
Down (File)
Moves down the selected file.
Open
Opens the selected file.
Sort
Sorts the file list by name order.
User tools
Use this option to associate a user tool to the project. When you select the project, this user tool group is also selected automatically.
Ctags
Use this option to associate a ctags category to the project. When you select the project, this ctags category is also selected automatically.
FTP account
Use this option to associate an FTP account to the project. When you select the project this FTP account is also selected automatically.
Base directory
Sets the base directory for current project. This value can be used as argument macro $(ProjectDir) for User Tools.
Files per column
Use this option to display project menu in multiple columns if the number of files exceeds the specified value. This option is useful when there are so many files in a project that the menu cannot fit to the height of the screen.
Directory name
Specify level of directory hierarchy to display in the Project menu. 'From level 1' shows the full path name.
Show project name on the title bar
Use this option to display current project name on the Title Bar.
Load files when project is selected
Use this option to load all files in the project when the project is selected from the menu.


Enter Registration Code dialog box
In this dialog box, you can enter registration code which unlocks the evaluation version of EditPlus. Registration code is delivered to registered user. See How to Order for more details. If you have any trouble in registration process, please contact the author at support@editplus.com.

User name
Enter exact user name which is delivered to you with the registration code.
Registration code
Enter exact registration code.


Replace dialog box
In this dialog box, you can find specific text and replace it with different text in current document. Following options are available.

Find What
Enter text that you want to search for. EditPlus supports regular expression. You can press down-arrow button for regular expression templates. See Regular Expression for more detail.
Replace With
Enter text that you want to replace the found text with. EditPlus supports regular expression. You can press down-arrow button for regular expression templates. See Regular Expression for more detail.
Find
Find specified text with current options.
Replace
Replace found text with specified text. If the text is not found yet, this is same as Find command.
Replace All
Perform find and replace for the current document, all open documents or current selection without prompts. NOTE: Holding down Shift key with the Replace All button disables Undo feature.
List
Show the list of saved find & replace items. You can add current find & replace item to the list or load previously saved items to perform them again.
Case sensitive
Check this option if you want case-sensitive searching.
Upward search
Check this option if you want to search upward rather than downward.
Whole word only
Check this option if you want to search whole word only and ignore text which is a substring of another word.
Wrap at the end of file
When end of file is reached, resume search from the start.
Regular expression
Check this option if you want to search regular expression. Regular expression allows more sophisticated and powerful search. See Regular Expression for more detail about regular expression syntax.
Continue to next file
Check this option to continue to the next file at the end of a file.
Replace all range
Specify the range of Replace All command.
More/Less
Press this button to show the multi-line input field. You can enter multi-line text in this input box. Press Ctrl+Tab to enter a tab character in this input box.


Sort dialog box
This dialog box appears when you choose sort command on Tools menu. In this dialog box, you can set various options for the sort command.

Order
Choose the sort order. Either ascending order or descending order.
Starting column #
Enter a column number from which the sorting operation begins. The text before this column number will be ignored in comparison. Enter an integer value between 1 - 2000.
Case sensitive
Check this option for the case-sensitive comparison.
Remove duplicates
Check this option to remove any duplicated line after the sorting.
Locale sensitive
Check this option to sort strings according to the rules of the locale instead of byte comparisons.
Numeric sort
Check this option to sort considering digits in the strings as numerical content rather than text.


Spell Checker dialog box
This dialog box appears when you run spell checker commands on Tools menu. In this dialog box, words that is not found in dictionary will be shown and suggests user several actions upon that words.

Not found
This field displays the word that was not found in the dictionary.
Change to
This field displays the word that will replace the wrong word. You can also enter a new word here if you want to change the suggested word.
Suggestions
This list box shows suggested corrections of the wrong word. Choose the correct word and it will be shown in Change To field. If there is no proper suggestion, you can directly edit Change To field.
Replace
Replace the wrong word with the content of Change To field. This command is not available if there is no suggestions. But if you edit Change To field, this command becomes available.
Replace All
Changes any following word which is same as current one.
Ignore
Ignore current word.
Ignore All
Ignore current word and any following word which is same as current one.
Add
Add current word to the user dictionary. You can specify location of user dictionary in Spell Checker page of the Preferences dialog box.
Add uncap
Add current word to the user dictionary and ignores capitalization of the word.
Suggest
Search more thoroughly for suggested replacements for the current misspelled word. Each time you press the Suggest button, a "deeper" search is made.
Options
This command presents Spell Checker page of the Preferences dialog box where you can specify several spell-checking options.


Tab and Indent dialog box
In this dialog box, you can set the tab and indent options. You can invoke this dialog box using Tab/Indent command.

Tab
Specify the tab size.
Indent
Specify the indent size.
Insert spaces instead of tab
Check this option to insert spaces instead of a real tab character when you press TAB key.
TAB key moves cursor by indent size
Check this option to make the TAB key moves the cursor position by the indent size rather than the actual tab size.
Enable auto indent
Check this option to use the auto indent feature.
Auto indent open
Specify an optional character which increases the indent. If you press 'Enter' key after this character, The next line will be automatically indented. Only one character is allowed in this field.
Auto indent close
Specify an optional character which decreases the indent. If you enter this character in the document, the line will be automatically un-indented. Only one character is allowed in this field.
End of statement
Specify an optional character which indicates the end of a statement. If you press 'Enter' key before this character, the next line will be automatically indented. Only one character is allowed in this field.


Configure Tag Files dialog box
In this dialog box, you can configure the ctags tag files and categories. You can invoke this dialog box using the Configure Tag Files menu command.

Categories
This list box shows ctags tag categories that you created. For example, you can create C/C++ and Python as two separate tag categories and then switch current tag category using the Select Tag Category menu command.
Add Category
Creates a new ctags tag category.
Remove
Removes selected category. NOTE: You cannot remove the default category.
Rename
Changes the name of selected category.
Tag files
This list box shows ctags tag files in current category. Tag files are not automatically created. They must be already existing or created manually.
Add File
Adds ctags tag file to current category. If it has the file name only and doesn't have the full path, EditPlus searches the file in the current file directory.
Remove File
Removes selected tag file from current category.
Command
This combo box allows you to select a ctags command line to use with the Run Ctags menu command. To add new ctags command line to the list, press the Confiture button.
Configure
Press this button to add new ctags command line. This button presents User Tools dialog box. Add ctags command there and press the OK button to refresh the command list.


Edit/Add Cliptext Item dialog box
In this dialog box, you can edit the title and the text body of current cliptext item. This dialog box is also used when you add new cliptext item.

Title
Enter the title of the cliptext item.
Text body
Enter the text body of the cliptext item. "^" is regarded as escape character which is used to define Hot Spot. If you want to enter "^" itself, you should enter it twice like "^^". You can define Hot Spot using "^!". Hot Spot will be the cursor location when the cliptext is inserted into the document. See Insert command for more details.


New Cliptext Library dialog box
In this dialog box, you can create new cliptext library file.

File name
Enter the file name of the cliptext library. EditPlus automatically appends ".CTL" extension to the file, so do not include the extension manually.
Title
Enter the title of the cliptext library. This title will appear in the combo box of the cliptext window.
Sort
Specify whether the cliptext library should be sorted or not. If you check this option, the list of cliptext items will be shown sorted in the list box of the cliptext window.


Tools page (Preferences dialog box)
In this page, you can specify Tools settings.

Web server root directory
If you have a web server installed on your system, you can enter full path of the WWW root directory here. When running 'View in Browser' command with the local file on this directory, EditPlus will change the address to "http://localhost/" form.
Web server IP or host name
If your web server cannot be represented by "localhost", you can enter an optional IP address or host name in this field.
Select browser
Specify the browser type for the New Browser Window command and View in Browser command.
Browser location
Enter full path of the browser that you want to use for an external browser.
Select browser 2
Specify the browser type for the View in Browser 2 command.
Enable visual style for toolbars
When this option is checked, Toolbars, Status Bar and the Document Selector are displayed with current visual style. This option works on Windows XP and later only.
Alternate toolbar button border
When this option is checked, toolbar buttons on Windows 7 use slightly different visual style for the button borders.
Enlarge toolbar buttons
Check this option to show larger toolbar buttons.
Allow double-click on the Status Bar
When this option is checked, you can double-click on the Status Bar indicator to run the related menu command.
Allow double-column toolbar
When this option is checked, the standard toolbar shows two columns when it is docked vertically. This prevents the toolbar from being clipped when the height of the toolbar is bigger than the size of screen.
Use temporary file in browser preview
When this option is checked, View in Browser command uses temporary file to preview the HTML document.
Use system default browser with Go to URL
Check this option to open system default browser rather than the seamless browser, when you run the 'Go to URL command'.
Run php.exe on browser preview
Check this option to automatically run php.exe and create a temporary output file when you use the View in Browser command with php files.


Keyboard page (Preferences dialog box)
In this page, you can customize keyboard shortcuts.

Types
This window displays available command categories.
Commands
This window displays available commands in current category.
Reset All
Press this button if you want to reset all the keyboard shortcuts to default values.
Save As
Press this button if you want to save current keyboard shortcuts to an external file. You can load the file and restore the keyboard shortcuts later.
Load
Press this button if you want to load a saved keyboard shortcut file.
Press new shortcut
Press key that you want to assign to current command.
Current keys
This window displays shortcuts that is applied to current command.
Assign
Press this button if you want to assign shortcut you pressed to current command. Multiple shortcuts can be assigned to one command.
Remove
Press this button if you want to remove selected shortcut from current command.
Default
Press this button if you want to assign default shortcut key to current command.


Layout page (Preferences dialog box)
In this dialog box, you can set the options for the Document Selector, Directory/Cliptext Window. Following options are available.
Directory/Cliptext Window: Location
Choose a desired location of the Directory/Cliptext Window.
Document Selector: Location
Choose a desired location of the Document Selector.
Number of rows
Specify the maximum and minimum number of rows of the document buttons.
Button size
Specify the minimum and maximum width of the document button in number of characters. You can enter from 5 to 50.
Default Size
Reset the button size back to default values.
Different color for active button text
If you check this option, the active button text is displayed in a different color. It makes the active button more distinguishable.
Min. line number digits
Specify minimum space for the number of digits for displaying the line number.
Show full path in the title bar
If you turn on this option, the title bar displays the full path name of current file. Otherwise, it displays file name only.
Show file size on the Status Bar
If you turn on this option, the Status Bar displays the file size of current document.


Spell Checker page (Preferences dialog box)
In this page, you can set spell checker options.

Ignore words with numbers
Check this option to skip any words containing embedded digits.
Ignore URLs and E-mail addresses
Check this option to skip URLs and E-mail addresses.
Ignore all-caps words
Check this option to skip words that contain only capital letters.
Ignore mixed case
Press this button if you want to skip words that contain uppercase letter other than the first letter. For example ScanDisk, WordPad, etc.
Skip HTML tags
Press this button if you want to skip words inside HTML tags.
Check the Latin alphabet only
Press this button if you want to check the Latin alphabet (ISO 8859-1) only and skip other languages.
Dictionary
Choose dictionary to use with the spell checker. Currently EditPlus provides US English and UK English dictionaries only.


Toolbar page (Preferences dialog box)
In this page, you can customize toolbar buttons.

Commands
This list box lists buttons which can be inserted into a specific toolbar. Select button that you want to move, then press right arrow button or just drag-n-drop it.
Toolbar
This list box lists buttons which current toolbar has. Select button that you want to move, then press left arrow button or just drag-n-drop it.
Add (right arrow button)
Add selected button into the current toolbar.
Remove (left arrow button)
Remove selected button from current toolbar.
Move Up
Use this command if you want to move selected button up within current toolbar.
Move Down
Use this command if you want to move selected button down within current toolbar.
Reset Default
This command resets all button settings to default factory values.


User Tools page (Preferences dialog box)
In this page, you can configure user tools. User tool is user-defined application or Help file that EditPlus will launch and optionally capture the output.

Groups and tool items
Select user tool group in the combo box. There are 10 user tool groups and you can add up to 20 user tools in each group. The list box displays the menu text of user tools in current group, which will be shown on Tools menu. You can also add user tool to the Auto Run Tool Groups which runs automatically when documents are open or saved. Auto run tool groups are not accessible from the menu.
Auto run tool group
Group Name
Press this button to change the name of current group.
Add
Press this button to add a new program, help file (*.hlp), HTML help file (*.chm) or keystroke recording file. You can add up to 20 tools in each group.
Remove
Press this button to remove current tool.
Up
Moves up the selected tool.
Down
Moves down the selected tool.
Icon
Sets a custom toolbar icon.
Menu text
Enter the text of the tool which will be displayed on the menu item.
Command
Enter the full name of an executable file, a help file or a keystroke recording file.
Argument
Enter the argument that you want to pass to the tool. This option is not available when current tool is a help file or a keystroke recording file. You can also insert Argument Macros in this field.
Initial directory
Enter the initial directory where the tool should be executed. This command is not available when current tool is a help file or a keystroke recording file.
Action: Capture output
Capture the output of the tool. This option is only applicable to console application. If you check this option, the output of the tool will be captured in the output window. This feature is useful when you want to capture error messages of a compiler. See Output Window for details.
NOTE: Output Window does not allow keyboard input. If the tool accepts keyboard input, you must turn off this option.
Action: Run as text filter
If this option is turned on, selected text or entire document will be passed to the tool through 'Standard Input' and will receive the output passed from the tool through 'Standard Output'. You can select the way how to use the output from the text filter. 'Replace' replaces the selected text or the entire document with the output. 'Insert' inserts the output into current cursor position of the document. 'Output Window' displays the output to the Output Window. 'Copy Result' copies the output to the Clipboard. Text filter must be a console application which reads text from 'Standard Input' and writes the output text to 'Standard Output'.
Action: Run Hidden
When this option is checked, the tool runs silently and does not display the application window.
Action: Close window when exit
When this option is checked, the tool will be closed after it finished its operation. This option is only applicable to console applications. This option is not available if you checked Capture Output option.
Output Pattern
Specify the output pattern for the tag jump in the output window. This button presents Output Pattern dialog box.
Save
You can use this option to save all open files or just currently file before running the user tool.


Upload Multiple dialog box
In this dialog box, you can specify multiple files and upload them to FTP server. You can invoke this dialog box using FTP Upload command on File | FTP menu.

Files to upload
List of files to upload.
FTP account
Select FTP server where you want to upload the local file. You can edit FTP account settings by pressing 'Setting' button.
Groups
Select the FTP group that contains desired FTP account.
Subdirectory
Enter initial subdirectory where you want to upload the local file. If this field is empty, the file will be uploaded to a default FTP directory.
Restore last directory
Check this option to restore the last subdirectory option.
Base local directory
Enter base local directory. If the loacl file is on a subdirectory of the base local directory, it will be uploaded to the corresponding subdirectory of the remote directory.
Use base local directory option
Check this option to use the base local directory setting.
Transfer type
Select 'ASCII' if the file is a plain text file and select 'Binary' if it is an image or a binary file.
Close dialog box after transfer
Check this options if you want to close the dialog box after the file transfer.
Upload
Press this button to begin uploading.
Add
Add files to the list. This command presents Select File dialog box.
Remove
Remove selected files from the list.
Settings
Press this button to edit FTP account settings.


Window List dialog box
In this dialog box, all open document windows are listed in the list box so that you can switch or manage them easily. You can invoke this dialog box using Window List command.

List Box
You can see all open documents in this list box. Choose any file using arrow key and enter or double-click to switch to the file. You can choose multiple files using Shift or Ctrl key.
Activate
Activates the selected file.
OK
Activates the selected file and closes the dialog box.
Save
Saves the selected file(s).
Close Window(s)
Closes the selected file(s).
Tile Horizontally
Arranges selected files as non-overlapping horizontal tiles and minimizes the rest.
Tile Vertically
Arranges selected files as non-overlapping vertical tiles and minimizes the rest.
Up/Down
Moves selected document up or down. You can use this command when you want to change the order of the documents on the Document Selector.
Upload
Uploads the selected file(s) to FTP server. This command presents Upload Multiple dialog box.
Sort
Sorts the file list and re-order the document windows alphabetically.


Word Wrap Options dialog box
In this dialog box, you can set the word wrap options. You can invoke this dialog box using Word Wrap Options command.

Enable word wrap
Check this option to turns on the word wrap feature.
Save wrapped lines with CR/LF
Check this option to to add line breaks to all wrapped lines when you save document.
Word wrap method
Specify the word wrap method. Select 'Wrap at window edge' if you want long lines to be wrapped at window edge in word wrap mode. Select 'Wrap after format column number' if you want long lines to be wrapped after format column number in word wrap mode.
Format column number
Specify the format column number. If you select 'Wrap at Format Column number' as word wrap method, long lines will be wrapped after this format column number rather than at the window edge. Align Center and Align Right commands also use this value to calculate the alignment. The default value is 80.


Browser Toolbar

The Browser Toolbar is displayed across the top of the seamless browser window. The Browser Toolbar allows quick mouse access to Browser commands available in EditPlus.

The Browser Toolbar is fixed and cannot be docked on other side of the window.

To hide or display the Browser Toolbar, choose Browser Toolbar from the View menu.

Button | Operation
 | Edits the source of current HTML page.
 | Goes back one step.
 | Goes forward one step.
 | Stops loading current page.
 | Refreshes content of current page.
 | Opens the start page.
 | Selects the font size.
 | Searches the Internet.
 | Displays the contents of your favorites folder.
 | Goes to EditPlus Homepage.


Directory Window
< Prev | Next >
Directory window displays files on the currently available disk drives.

Select a file and double click it to open the file. To open multiple files at once, use Shift or Ctrl key to select multiple files and press right mouse button and choose 'Open' command. To display or hide the directory window, use the Directory Window command on the View menu.

See also:
Directory window popup menu


Output Window
The output window is located at the bottom of the screen and displays the captured output of user tools. To display or hide the output window, use the Output Window command on the View menu.

If you add a Java compiler to the User Tools page of the Preferences dialog box and check the "capture output" option, the Java compiler errors will be displayed in the output window. If you double-click on the specific error line, EditPlus automatically loads the related file and locates the cursor to that line.

To change the default output pattern for the tag jump, press 'Output Pattern' button on User Tools page of the Preferences dialog box.

The output window is also used in Find in Files command. The find result will be displayed in the output window, so you can double-click the specific line to load the file and locate the cursor to that line.

See also:
Output window popup menu


EditPlus Online Manual
Next >
Overview
What is EditPlus?
What's new
License agreement
How to install/remove
How to order
Feedback and support
Features
Syntax highlighting
Internet features
HTML Toolbar
Document selector
User tools
Auto completion
Cliptext window
Document template
Other features
Commands
File menu
Edit menu
View menu
Search menu
Document menu
Browser menu
Project menu
Tools menu
Window menu
Help menu
Cliptext list box popup menu
Cliptext combo box popup menu
Directory window popup menu
Output window popup menu
Other references
Command-line options


Regular Expression
Regular expression is a search string that contains normal text plus special characters which indicate extended searching options. Regular expression allows more sophisticated search and replace.

For example, you can find any digit by using regular expression "[0-9]". Similarly you can find any matching character that is NOT digit by using regular expression "[^0-9]".

EditPlus supports following regular expressions in Find, Replace and Find in Files command.

Expression | Description
\t | Tab character.
\n | New line.
. | Matches any character.
| | Either expression on its left and right side matches the target string. For example, "a|b" matches "a" and "b".
[] | Any of the enclosed characters may match the target character. For example, "[ab]" matches "a" and "b". "[0-9]" matches any digit.
[^] | None of the enclosed characters may match the target character. For example, "[^ab]" matches all character EXCEPT "a" and "b". "[^0-9]" matches any non-digit character.
* | Character to the left of asterisk in the expression should match 0 or more times. For example "be*" matches "b", "be" and "bee".
+ | Character to the left of plus sign in the expression should match 1 or more times. For example "be+" matches "be" and "bee" but not "b".
? | Character to the left of question mark in the expression should match 0 or 1 time. For example "be?" matches "b" and "be" but not "bee".
^ | Expression to the right of ^ matches only when it is at the beginning of line. For example "^A" matches an "A" that is only at the beginning of line.
$ | Expression to the left of $ matches only when it is at the end of line. For example "e$" matches an "e" that is only at the end of line.
() | Affects evaluation order of expression and also used for tagged expression.
\ | Escape character. If you want to use character "\" itself, you should use "\\".

The tagged expression is enclosed by (). Tagged expressions can be referenced by \0, \1, \2, \3, etc. \0 indicates a tagged expression representing the entire substring that was matched. \1 indicates the first tagged expression, \2 is the second, etc. See following examples.

Original Search Replace Result
abc (ab)(c) \0-\1-\2 abc-ab-c
abc a(b)(c) \0-\1-\2 abc-b-c
abc (a)b(c) \0-\1-\2 abc-a-c


Scroll bars
Displayed at the right and bottom edges of the document window. The scroll boxes inside the scroll bars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.